------------------------------------------------------------------------------
--                                                                          --
--                            GNAT2WHY COMPONENTS                           --
--                                                                          --
--                   W H Y - A T R E E - B U I L D E R S                    --
--                                                                          --
--                                 B o d y                                  --
--                                                                          --
--                       Copyright (C) 2010-2015, AdaCore                   --
--                                                                          --
-- gnat2why is  free  software;  you can redistribute  it and/or  modify it --
-- under terms of the  GNU General Public License as published  by the Free --
-- Software  Foundation;  either version 3,  or (at your option)  any later --
-- version.  gnat2why is distributed  in the hope that  it will be  useful, --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHAN- --
-- TABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public --
-- License for  more details.  You should have  received  a copy of the GNU --
-- General  Public License  distributed with  gnat2why;  see file COPYING3. --
-- If not,  go to  http://www.gnu.org/licenses  for a complete  copy of the --
-- license.                                                                 --
--                                                                          --
-- gnat2why is maintained by AdaCore (http://www.adacore.com)               --
--                                                                          --
------------------------------------------------------------------------------
--  This package is automatically generated by xtree. Do not edit manually.

with Why.Atree.Tables;    use Why.Atree.Tables;
with Why.Kind_Validity;   use Why.Kind_Validity;
with Why.Atree.Validity;  use Why.Atree.Validity;

package body Why.Atree.Builders is

   ---------------------------
   -- New_Unchecked_Effects --
   ---------------------------

   function New_Unchecked_Effects
     return W_Effects_Unchecked_Id
   is
      New_Node : Why_Node (W_Effects);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Effects);
      Is_Checked : constant Boolean :=
        False;
   begin
      New_Node.Ada_Node :=
        Empty;
      New_Node.Domain :=
        EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K3_Reads :=
        New_List;
      Set_Link (New_Node.K3_Reads, New_Id);
      New_Node.K3_Writes :=
        New_List;
      Set_Link (New_Node.K3_Writes, New_Id);
      New_Node.K3_Raises :=
        New_List;
      Set_Link (New_Node.K3_Raises, New_Id);
      Set_Node (New_Id, New_Node);
      return New_Id;
   end New_Unchecked_Effects;

   --------------------------------------
   -- New_Unchecked_Statement_Sequence --
   --------------------------------------

   function New_Unchecked_Statement_Sequence
     return W_Statement_Sequence_Unchecked_Id
   is
      New_Node : Why_Node (W_Statement_Sequence);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Statement_Sequence);
      Is_Checked : constant Boolean :=
        False;
   begin
      New_Node.Ada_Node :=
        Empty;
      New_Node.Domain :=
        EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K46_Statements :=
        New_List;
      Set_Link (New_Node.K46_Statements, New_Id);
      Set_Node (New_Id, New_Node);
      return New_Id;
   end New_Unchecked_Statement_Sequence;

   --------------------------------------
   -- New_Unchecked_Theory_Declaration --
   --------------------------------------

   function New_Unchecked_Theory_Declaration
     (Name : Symbol;
      Kind : EW_Theory_Type;
      Comment : Symbol)
     return W_Theory_Declaration_Unchecked_Id
   is
      New_Node : Why_Node (W_Theory_Declaration);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Theory_Declaration);
      Is_Checked : constant Boolean :=
        False;
   begin
      New_Node.Ada_Node :=
        Empty;
      New_Node.Domain :=
        EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K62_Declarations :=
        New_List;
      Set_Link (New_Node.K62_Declarations, New_Id);
      New_Node.K62_Name :=
        Name;
      New_Node.K62_Kind :=
        Kind;
      New_Node.K62_Includes :=
        New_List;
      Set_Link (New_Node.K62_Includes, New_Id);
      New_Node.K62_Comment :=
        Comment;
      Set_Node (New_Id, New_Node);
      return New_Id;
   end New_Unchecked_Theory_Declaration;

   --------------
   -- New_Type --
   --------------

   function New_Type
     (Ada_Node     : Node_Id := Empty;
      Type_Kind    : EW_Type;
      Name         : W_Name_Id;
      Is_Mutable   : Boolean := False;
      Relaxed_Init : Boolean := False)
     return W_Type_Id
   is
      New_Node : Why_Node (W_Type);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Type);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K1_Type_Kind :=
        Type_Kind;
      New_Node.K1_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K1_Name, New_Id);
      New_Node.K1_Is_Mutable :=
        Is_Mutable;
      New_Node.K1_Relaxed_Init :=
        Relaxed_Init;
      Set_Node (New_Id, New_Node);
      return W_Type_Id (New_Id);
   end New_Type;

   --------------
   -- New_Name --
   --------------

   function New_Name
     (Ada_Node  : Node_Id := Empty;
      Symb      : Symbol;
      Namespace : Symbol := No_Symbol;
      Module    : W_Module_OId := Why_Empty;
      Infix     : Boolean := False)
     return W_Name_Id
   is
      New_Node : Why_Node (W_Name);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Name);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K2_Symb :=
        Symb;
      New_Node.K2_Namespace :=
        Namespace;
      New_Node.K2_Module :=
        +(W_Module_Valid_OId (Module));
      Set_Link (New_Node.K2_Module, New_Id);
      New_Node.K2_Infix :=
        Infix;
      Set_Node (New_Id, New_Node);
      return W_Name_Id (New_Id);
   end New_Name;

   -----------------
   -- New_Effects --
   -----------------

   function New_Effects
     (Ada_Node : Node_Id := Empty;
      Reads    : W_Identifier_Array := (2 .. 1 => <>);
      Writes   : W_Identifier_Array := (2 .. 1 => <>);
      Raises   : W_Raise_Effect_Array := (2 .. 1 => <>))
     return W_Effects_Id
   is
      New_Node : Why_Node (W_Effects);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Effects);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K3_Reads := New_List;
      for J in Reads'Range loop
         pragma Assert
           (Identifier_Id_Kind_Valid
            (+(W_Identifier_Valid_OId (Reads (J)))));
         pragma Assert
           (Identifier_Id_Valid
            (+(W_Identifier_Valid_OId (Reads (J)))));
         Append
           (New_Node.K3_Reads,
            +(W_Identifier_Valid_OId (Reads (J))));
      end loop;
      Set_Link (New_Node.K3_Reads, New_Id);
      New_Node.K3_Writes := New_List;
      for J in Writes'Range loop
         pragma Assert
           (Identifier_Id_Kind_Valid
            (+(W_Identifier_Valid_OId (Writes (J)))));
         pragma Assert
           (Identifier_Id_Valid
            (+(W_Identifier_Valid_OId (Writes (J)))));
         Append
           (New_Node.K3_Writes,
            +(W_Identifier_Valid_OId (Writes (J))));
      end loop;
      Set_Link (New_Node.K3_Writes, New_Id);
      New_Node.K3_Raises := New_List;
      for J in Raises'Range loop
         pragma Assert
           (Raise_Effect_Id_Kind_Valid
            (+(W_Raise_Effect_Valid_OId (Raises (J)))));
         pragma Assert
           (Raise_Effect_Id_Valid
            (+(W_Raise_Effect_Valid_OId (Raises (J)))));
         Append
           (New_Node.K3_Raises,
            +(W_Raise_Effect_Valid_OId (Raises (J))));
      end loop;
      Set_Link (New_Node.K3_Raises, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Effects_Id (New_Id);
   end New_Effects;

   ----------------------
   -- New_Raise_Effect --
   ----------------------

   function New_Raise_Effect
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Name     : W_Name_Id;
      Arg_Id   : W_Identifier_OId := Why_Empty;
      Post     : W_Pred_OId := Why_Empty)
     return W_Raise_Effect_Id
   is
      New_Node : Why_Node (W_Raise_Effect);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Raise_Effect);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K4_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K4_Name, New_Id);
      New_Node.K4_Arg_Id :=
        +(W_Identifier_Valid_OId (Arg_Id));
      Set_Link (New_Node.K4_Arg_Id, New_Id);
      New_Node.K4_Post :=
        +(W_Pred_Valid_OId (Post));
      Set_Link (New_Node.K4_Post, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Raise_Effect_Id (New_Id);
   end New_Raise_Effect;

   ----------------
   -- New_Binder --
   ----------------

   function New_Binder
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Name     : W_Identifier_OId := Why_Empty;
      Arg_Type : W_Type_Id)
     return W_Binder_Id
   is
      New_Node : Why_Node (W_Binder);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Binder);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K5_Name :=
        +(W_Identifier_Valid_OId (Name));
      Set_Link (New_Node.K5_Name, New_Id);
      New_Node.K5_Arg_Type :=
        +(W_Type_Valid_Id (Arg_Type));
      Set_Link (New_Node.K5_Arg_Type, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Binder_Id (New_Id);
   end New_Binder;

   -------------------------------------
   -- New_Transparent_Type_Definition --
   -------------------------------------

   function New_Transparent_Type_Definition
     (Ada_Node        : Node_Id := Empty;
      Domain          : EW_Domain;
      Type_Definition : W_Type_Id)
     return W_Transparent_Type_Definition_Id
   is
      New_Node : Why_Node (W_Transparent_Type_Definition);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Transparent_Type_Definition);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K6_Type_Definition :=
        +(W_Type_Valid_Id (Type_Definition));
      Set_Link (New_Node.K6_Type_Definition, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Transparent_Type_Definition_Id (New_Id);
   end New_Transparent_Type_Definition;

   -------------------------------------
   -- New_Transparent_Type_Definition --
   -------------------------------------

   function New_Transparent_Type_Definition
     (Ada_Node        : Node_Id := Empty;
      Domain          : EW_Domain;
      Type_Definition : W_Type_Id)
     return W_Type_Definition_Id
   is
      New_Node : Why_Node (W_Transparent_Type_Definition);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Transparent_Type_Definition);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K6_Type_Definition :=
        +(W_Type_Valid_Id (Type_Definition));
      Set_Link (New_Node.K6_Type_Definition, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Type_Definition_Id (New_Id);
   end New_Transparent_Type_Definition;

   -----------------------
   -- New_Record_Binder --
   -----------------------

   function New_Record_Binder
     (Ada_Node   : Node_Id := Empty;
      Domain     : EW_Domain;
      Name       : W_Identifier_OId := Why_Empty;
      Arg_Type   : W_Type_Id;
      Labels     : Symbol_Set;
      Is_Mutable : Boolean := False)
     return W_Record_Binder_Id
   is
      New_Node : Why_Node (W_Record_Binder);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Binder);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K7_Name :=
        +(W_Identifier_Valid_OId (Name));
      Set_Link (New_Node.K7_Name, New_Id);
      New_Node.K7_Arg_Type :=
        +(W_Type_Valid_Id (Arg_Type));
      Set_Link (New_Node.K7_Arg_Type, New_Id);
      New_Node.K7_Labels :=
        Labels;
      New_Node.K7_Is_Mutable :=
        Is_Mutable;
      Set_Node (New_Id, New_Node);
      return W_Record_Binder_Id (New_Id);
   end New_Record_Binder;

   -----------------------
   -- New_Record_Binder --
   -----------------------

   function New_Record_Binder
     (Ada_Node   : Node_Id := Empty;
      Domain     : EW_Domain;
      Name       : W_Identifier_OId := Why_Empty;
      Arg_Type   : W_Type_Id;
      Labels     : Symbol_Set;
      Is_Mutable : Boolean := False)
     return W_Type_Definition_Id
   is
      New_Node : Why_Node (W_Record_Binder);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Binder);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K7_Name :=
        +(W_Identifier_Valid_OId (Name));
      Set_Link (New_Node.K7_Name, New_Id);
      New_Node.K7_Arg_Type :=
        +(W_Type_Valid_Id (Arg_Type));
      Set_Link (New_Node.K7_Arg_Type, New_Id);
      New_Node.K7_Labels :=
        Labels;
      New_Node.K7_Is_Mutable :=
        Is_Mutable;
      Set_Node (New_Id, New_Node);
      return W_Type_Definition_Id (New_Id);
   end New_Record_Binder;

   ---------------------------
   -- New_Record_Definition --
   ---------------------------

   function New_Record_Definition
     (Ada_Node : Node_Id := Empty;
      Fields   : W_Record_Binder_Array)
     return W_Record_Definition_Id
   is
      New_Node : Why_Node (W_Record_Definition);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Definition);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Fields'Length > 0);
      New_Node.K8_Fields := New_List;
      for J in Fields'Range loop
         pragma Assert
           (Record_Binder_Id_Kind_Valid
            (+(W_Record_Binder_Valid_Id (Fields (J)))));
         pragma Assert
           (Record_Binder_Id_Valid
            (+(W_Record_Binder_Valid_Id (Fields (J)))));
         Append
           (New_Node.K8_Fields,
            +(W_Record_Binder_Valid_Id (Fields (J))));
      end loop;
      Set_Link (New_Node.K8_Fields, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Record_Definition_Id (New_Id);
   end New_Record_Definition;

   ---------------------------
   -- New_Record_Definition --
   ---------------------------

   function New_Record_Definition
     (Ada_Node : Node_Id := Empty;
      Fields   : W_Record_Binder_Array)
     return W_Type_Definition_Id
   is
      New_Node : Why_Node (W_Record_Definition);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Definition);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Fields'Length > 0);
      New_Node.K8_Fields := New_List;
      for J in Fields'Range loop
         pragma Assert
           (Record_Binder_Id_Kind_Valid
            (+(W_Record_Binder_Valid_Id (Fields (J)))));
         pragma Assert
           (Record_Binder_Id_Valid
            (+(W_Record_Binder_Valid_Id (Fields (J)))));
         Append
           (New_Node.K8_Fields,
            +(W_Record_Binder_Valid_Id (Fields (J))));
      end loop;
      Set_Link (New_Node.K8_Fields, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Type_Definition_Id (New_Id);
   end New_Record_Definition;

   -------------------------------
   -- New_Range_Type_Definition --
   -------------------------------

   function New_Range_Type_Definition
     (Ada_Node : Node_Id := Empty;
      First    : Uint;
      Last     : Uint)
     return W_Range_Type_Definition_Id
   is
      New_Node : Why_Node (W_Range_Type_Definition);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Range_Type_Definition);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K9_First :=
        First;
      New_Node.K9_Last :=
        Last;
      Set_Node (New_Id, New_Node);
      return W_Range_Type_Definition_Id (New_Id);
   end New_Range_Type_Definition;

   -------------------------------
   -- New_Range_Type_Definition --
   -------------------------------

   function New_Range_Type_Definition
     (Ada_Node : Node_Id := Empty;
      First    : Uint;
      Last     : Uint)
     return W_Type_Definition_Id
   is
      New_Node : Why_Node (W_Range_Type_Definition);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Range_Type_Definition);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K9_First :=
        First;
      New_Node.K9_Last :=
        Last;
      Set_Node (New_Id, New_Node);
      return W_Type_Definition_Id (New_Id);
   end New_Range_Type_Definition;

   ------------------
   -- New_Triggers --
   ------------------

   function New_Triggers
     (Ada_Node : Node_Id := Empty;
      Triggers : W_Trigger_Array)
     return W_Triggers_Id
   is
      New_Node : Why_Node (W_Triggers);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Triggers);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Triggers'Length > 0);
      New_Node.K10_Triggers := New_List;
      for J in Triggers'Range loop
         pragma Assert
           (Trigger_Id_Kind_Valid
            (+(W_Trigger_Valid_Id (Triggers (J)))));
         pragma Assert
           (Trigger_Id_Valid
            (+(W_Trigger_Valid_Id (Triggers (J)))));
         Append
           (New_Node.K10_Triggers,
            +(W_Trigger_Valid_Id (Triggers (J))));
      end loop;
      Set_Link (New_Node.K10_Triggers, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Triggers_Id (New_Id);
   end New_Triggers;

   -----------------
   -- New_Trigger --
   -----------------

   function New_Trigger
     (Ada_Node : Node_Id := Empty;
      Terms    : W_Expr_Array)
     return W_Trigger_Id
   is
      New_Node : Why_Node (W_Trigger);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Trigger);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Terms'Length > 0);
      New_Node.K11_Terms := New_List;
      for J in Terms'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_Id (Terms (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_Id (Terms (J)))));
         Append
           (New_Node.K11_Terms,
            +(W_Expr_Valid_Id (Terms (J))));
      end loop;
      Set_Link (New_Node.K11_Terms, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Trigger_Id (New_Id);
   end New_Trigger;

   -------------------
   -- New_Axiom_Dep --
   -------------------

   function New_Axiom_Dep
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Kind     : EW_Axiom_Dep_Kind)
     return W_Axiom_Dep_Id
   is
      New_Node : Why_Node (W_Axiom_Dep);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Axiom_Dep);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K12_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K12_Name, New_Id);
      New_Node.K12_Kind :=
        Kind;
      Set_Node (New_Id, New_Node);
      return W_Axiom_Dep_Id (New_Id);
   end New_Axiom_Dep;

   -----------------
   -- New_Handler --
   -----------------

   function New_Handler
     (Ada_Node : Node_Id := Empty;
      Name     : W_Name_Id;
      Arg_Id   : W_Identifier_OId := Why_Empty;
      Def      : W_Prog_Id)
     return W_Handler_Id
   is
      New_Node : Why_Node (W_Handler);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Handler);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K13_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K13_Name, New_Id);
      New_Node.K13_Arg_Id :=
        +(W_Identifier_Valid_OId (Arg_Id));
      Set_Link (New_Node.K13_Arg_Id, New_Id);
      New_Node.K13_Def :=
        +(W_Prog_Valid_Id (Def));
      Set_Link (New_Node.K13_Def, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Handler_Id (New_Id);
   end New_Handler;

   ---------------------------
   -- New_Field_Association --
   ---------------------------

   function New_Field_Association
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Field    : W_Identifier_Id;
      Value    : W_Expr_Id)
     return W_Field_Association_Id
   is
      New_Node : Why_Node (W_Field_Association);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Field_Association);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K14_Field :=
        +(W_Identifier_Valid_Id (Field));
      Set_Link (New_Node.K14_Field, New_Id);
      New_Node.K14_Value :=
        +(W_Expr_Valid_Id (Value));
      Set_Link (New_Node.K14_Value, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Field_Association_Id (New_Id);
   end New_Field_Association;

   -----------------
   -- New_Variant --
   -----------------

   function New_Variant
     (Ada_Node : Node_Id := Empty;
      Cmp_Op   : W_Identifier_Id;
      Labels   : Symbol_Set;
      Expr     : W_Term_Id)
     return W_Variant_Id
   is
      New_Node : Why_Node (W_Variant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Variant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K15_Cmp_Op :=
        +(W_Identifier_Valid_Id (Cmp_Op));
      Set_Link (New_Node.K15_Cmp_Op, New_Id);
      New_Node.K15_Labels :=
        Labels;
      New_Node.K15_Expr :=
        +(W_Term_Valid_Id (Expr));
      Set_Link (New_Node.K15_Expr, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Variant_Id (New_Id);
   end New_Variant;

   ------------------
   -- New_Variants --
   ------------------

   function New_Variants
     (Ada_Node : Node_Id := Empty;
      Variants : W_Variant_Array)
     return W_Variants_Id
   is
      New_Node : Why_Node (W_Variants);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Variants);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Variants'Length > 0);
      New_Node.K16_Variants := New_List;
      for J in Variants'Range loop
         pragma Assert
           (Variant_Id_Kind_Valid
            (+(W_Variant_Valid_Id (Variants (J)))));
         pragma Assert
           (Variant_Id_Valid
            (+(W_Variant_Valid_Id (Variants (J)))));
         Append
           (New_Node.K16_Variants,
            +(W_Variant_Valid_Id (Variants (J))));
      end loop;
      Set_Link (New_Node.K16_Variants, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Variants_Id (New_Id);
   end New_Variants;

   ---------------------------
   -- New_Universal_Quantif --
   ---------------------------

   function New_Universal_Quantif
     (Ada_Node  : Node_Id := Empty;
      Variables : W_Identifier_Array;
      Labels    : Symbol_Set;
      Var_Type  : W_Type_Id;
      Triggers  : W_Triggers_OId := Why_Empty;
      Pred      : W_Pred_Id)
     return W_Universal_Quantif_Id
   is
      New_Node : Why_Node (W_Universal_Quantif);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Universal_Quantif);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Variables'Length > 0);
      New_Node.K17_Variables := New_List;
      for J in Variables'Range loop
         pragma Assert
           (Identifier_Id_Kind_Valid
            (+(W_Identifier_Valid_Id (Variables (J)))));
         pragma Assert
           (Identifier_Id_Valid
            (+(W_Identifier_Valid_Id (Variables (J)))));
         Append
           (New_Node.K17_Variables,
            +(W_Identifier_Valid_Id (Variables (J))));
      end loop;
      Set_Link (New_Node.K17_Variables, New_Id);
      New_Node.K17_Labels :=
        Labels;
      New_Node.K17_Var_Type :=
        +(W_Type_Valid_Id (Var_Type));
      Set_Link (New_Node.K17_Var_Type, New_Id);
      New_Node.K17_Triggers :=
        +(W_Triggers_Valid_OId (Triggers));
      Set_Link (New_Node.K17_Triggers, New_Id);
      New_Node.K17_Pred :=
        +(W_Pred_Valid_Id (Pred));
      Set_Link (New_Node.K17_Pred, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Universal_Quantif_Id (New_Id);
   end New_Universal_Quantif;

   ---------------------------
   -- New_Universal_Quantif --
   ---------------------------

   function New_Universal_Quantif
     (Ada_Node  : Node_Id := Empty;
      Variables : W_Identifier_Array;
      Labels    : Symbol_Set;
      Var_Type  : W_Type_Id;
      Triggers  : W_Triggers_OId := Why_Empty;
      Pred      : W_Pred_Id)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Universal_Quantif);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Universal_Quantif);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Variables'Length > 0);
      New_Node.K17_Variables := New_List;
      for J in Variables'Range loop
         pragma Assert
           (Identifier_Id_Kind_Valid
            (+(W_Identifier_Valid_Id (Variables (J)))));
         pragma Assert
           (Identifier_Id_Valid
            (+(W_Identifier_Valid_Id (Variables (J)))));
         Append
           (New_Node.K17_Variables,
            +(W_Identifier_Valid_Id (Variables (J))));
      end loop;
      Set_Link (New_Node.K17_Variables, New_Id);
      New_Node.K17_Labels :=
        Labels;
      New_Node.K17_Var_Type :=
        +(W_Type_Valid_Id (Var_Type));
      Set_Link (New_Node.K17_Var_Type, New_Id);
      New_Node.K17_Triggers :=
        +(W_Triggers_Valid_OId (Triggers));
      Set_Link (New_Node.K17_Triggers, New_Id);
      New_Node.K17_Pred :=
        +(W_Pred_Valid_Id (Pred));
      Set_Link (New_Node.K17_Pred, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Universal_Quantif;

   ---------------------------
   -- New_Universal_Quantif --
   ---------------------------

   function New_Universal_Quantif
     (Ada_Node  : Node_Id := Empty;
      Variables : W_Identifier_Array;
      Labels    : Symbol_Set;
      Var_Type  : W_Type_Id;
      Triggers  : W_Triggers_OId := Why_Empty;
      Pred      : W_Pred_Id)
     return W_Pred_Id
   is
      New_Node : Why_Node (W_Universal_Quantif);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Universal_Quantif);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Variables'Length > 0);
      New_Node.K17_Variables := New_List;
      for J in Variables'Range loop
         pragma Assert
           (Identifier_Id_Kind_Valid
            (+(W_Identifier_Valid_Id (Variables (J)))));
         pragma Assert
           (Identifier_Id_Valid
            (+(W_Identifier_Valid_Id (Variables (J)))));
         Append
           (New_Node.K17_Variables,
            +(W_Identifier_Valid_Id (Variables (J))));
      end loop;
      Set_Link (New_Node.K17_Variables, New_Id);
      New_Node.K17_Labels :=
        Labels;
      New_Node.K17_Var_Type :=
        +(W_Type_Valid_Id (Var_Type));
      Set_Link (New_Node.K17_Var_Type, New_Id);
      New_Node.K17_Triggers :=
        +(W_Triggers_Valid_OId (Triggers));
      Set_Link (New_Node.K17_Triggers, New_Id);
      New_Node.K17_Pred :=
        +(W_Pred_Valid_Id (Pred));
      Set_Link (New_Node.K17_Pred, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Pred_Id (New_Id);
   end New_Universal_Quantif;

   -----------------------------
   -- New_Existential_Quantif --
   -----------------------------

   function New_Existential_Quantif
     (Ada_Node  : Node_Id := Empty;
      Variables : W_Identifier_Array;
      Labels    : Symbol_Set;
      Var_Type  : W_Type_Id;
      Pred      : W_Pred_Id)
     return W_Existential_Quantif_Id
   is
      New_Node : Why_Node (W_Existential_Quantif);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Existential_Quantif);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Variables'Length > 0);
      New_Node.K18_Variables := New_List;
      for J in Variables'Range loop
         pragma Assert
           (Identifier_Id_Kind_Valid
            (+(W_Identifier_Valid_Id (Variables (J)))));
         pragma Assert
           (Identifier_Id_Valid
            (+(W_Identifier_Valid_Id (Variables (J)))));
         Append
           (New_Node.K18_Variables,
            +(W_Identifier_Valid_Id (Variables (J))));
      end loop;
      Set_Link (New_Node.K18_Variables, New_Id);
      New_Node.K18_Labels :=
        Labels;
      New_Node.K18_Var_Type :=
        +(W_Type_Valid_Id (Var_Type));
      Set_Link (New_Node.K18_Var_Type, New_Id);
      New_Node.K18_Pred :=
        +(W_Pred_Valid_Id (Pred));
      Set_Link (New_Node.K18_Pred, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Existential_Quantif_Id (New_Id);
   end New_Existential_Quantif;

   -----------------------------
   -- New_Existential_Quantif --
   -----------------------------

   function New_Existential_Quantif
     (Ada_Node  : Node_Id := Empty;
      Variables : W_Identifier_Array;
      Labels    : Symbol_Set;
      Var_Type  : W_Type_Id;
      Pred      : W_Pred_Id)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Existential_Quantif);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Existential_Quantif);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Variables'Length > 0);
      New_Node.K18_Variables := New_List;
      for J in Variables'Range loop
         pragma Assert
           (Identifier_Id_Kind_Valid
            (+(W_Identifier_Valid_Id (Variables (J)))));
         pragma Assert
           (Identifier_Id_Valid
            (+(W_Identifier_Valid_Id (Variables (J)))));
         Append
           (New_Node.K18_Variables,
            +(W_Identifier_Valid_Id (Variables (J))));
      end loop;
      Set_Link (New_Node.K18_Variables, New_Id);
      New_Node.K18_Labels :=
        Labels;
      New_Node.K18_Var_Type :=
        +(W_Type_Valid_Id (Var_Type));
      Set_Link (New_Node.K18_Var_Type, New_Id);
      New_Node.K18_Pred :=
        +(W_Pred_Valid_Id (Pred));
      Set_Link (New_Node.K18_Pred, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Existential_Quantif;

   -----------------------------
   -- New_Existential_Quantif --
   -----------------------------

   function New_Existential_Quantif
     (Ada_Node  : Node_Id := Empty;
      Variables : W_Identifier_Array;
      Labels    : Symbol_Set;
      Var_Type  : W_Type_Id;
      Pred      : W_Pred_Id)
     return W_Pred_Id
   is
      New_Node : Why_Node (W_Existential_Quantif);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Existential_Quantif);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Variables'Length > 0);
      New_Node.K18_Variables := New_List;
      for J in Variables'Range loop
         pragma Assert
           (Identifier_Id_Kind_Valid
            (+(W_Identifier_Valid_Id (Variables (J)))));
         pragma Assert
           (Identifier_Id_Valid
            (+(W_Identifier_Valid_Id (Variables (J)))));
         Append
           (New_Node.K18_Variables,
            +(W_Identifier_Valid_Id (Variables (J))));
      end loop;
      Set_Link (New_Node.K18_Variables, New_Id);
      New_Node.K18_Labels :=
        Labels;
      New_Node.K18_Var_Type :=
        +(W_Type_Valid_Id (Var_Type));
      Set_Link (New_Node.K18_Var_Type, New_Id);
      New_Node.K18_Pred :=
        +(W_Pred_Valid_Id (Pred));
      Set_Link (New_Node.K18_Pred, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Pred_Id (New_Id);
   end New_Existential_Quantif;

   -------------
   -- New_Not --
   -------------

   function New_Not
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Right    : W_Expr_Id)
     return W_Not_Id
   is
      New_Node : Why_Node (W_Not);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Not);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K19_Right :=
        +(W_Expr_Valid_Id (Right));
      Set_Link (New_Node.K19_Right, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Not_Id (New_Id);
   end New_Not;

   -------------
   -- New_Not --
   -------------

   function New_Not
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Right    : W_Expr_Id)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Not);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Not);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K19_Right :=
        +(W_Expr_Valid_Id (Right));
      Set_Link (New_Node.K19_Right, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Not;

   -------------
   -- New_Not --
   -------------

   function New_Not
     (Ada_Node : Node_Id := Empty;
      Right    : W_Pred_Id)
     return W_Pred_Id
   is
      New_Node : Why_Node (W_Not);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Not);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K19_Right :=
        +(W_Expr_Valid_Id (Right));
      Set_Link (New_Node.K19_Right, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Pred_Id (New_Id);
   end New_Not;

   -------------
   -- New_Not --
   -------------

   function New_Not
     (Ada_Node : Node_Id := Empty;
      Right    : W_Prog_Id)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Not);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Not);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K19_Right :=
        +(W_Expr_Valid_Id (Right));
      Set_Link (New_Node.K19_Right, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Not;

   --------------------
   -- New_Connection --
   --------------------

   function New_Connection
     (Ada_Node   : Node_Id := Empty;
      Domain     : EW_Domain;
      Left       : W_Expr_Id;
      Op         : EW_Connector;
      Right      : W_Expr_Id;
      More_Right : W_Expr_Array := (2 .. 1 => <>))
     return W_Connection_Id
   is
      New_Node : Why_Node (W_Connection);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Connection);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K20_Left :=
        +(W_Expr_Valid_Id (Left));
      Set_Link (New_Node.K20_Left, New_Id);
      New_Node.K20_Op :=
        Op;
      New_Node.K20_Right :=
        +(W_Expr_Valid_Id (Right));
      Set_Link (New_Node.K20_Right, New_Id);
      New_Node.K20_More_Right := New_List;
      for J in More_Right'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_OId (More_Right (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_OId (More_Right (J)))));
         Append
           (New_Node.K20_More_Right,
            +(W_Expr_Valid_OId (More_Right (J))));
      end loop;
      Set_Link (New_Node.K20_More_Right, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Connection_Id (New_Id);
   end New_Connection;

   --------------------
   -- New_Connection --
   --------------------

   function New_Connection
     (Ada_Node   : Node_Id := Empty;
      Domain     : EW_Domain;
      Left       : W_Expr_Id;
      Op         : EW_Connector;
      Right      : W_Expr_Id;
      More_Right : W_Expr_Array := (2 .. 1 => <>))
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Connection);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Connection);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K20_Left :=
        +(W_Expr_Valid_Id (Left));
      Set_Link (New_Node.K20_Left, New_Id);
      New_Node.K20_Op :=
        Op;
      New_Node.K20_Right :=
        +(W_Expr_Valid_Id (Right));
      Set_Link (New_Node.K20_Right, New_Id);
      New_Node.K20_More_Right := New_List;
      for J in More_Right'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_OId (More_Right (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_OId (More_Right (J)))));
         Append
           (New_Node.K20_More_Right,
            +(W_Expr_Valid_OId (More_Right (J))));
      end loop;
      Set_Link (New_Node.K20_More_Right, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Connection;

   --------------------
   -- New_Connection --
   --------------------

   function New_Connection
     (Ada_Node   : Node_Id := Empty;
      Left       : W_Pred_Id;
      Op         : EW_Connector;
      Right      : W_Pred_Id;
      More_Right : W_Pred_Array := (2 .. 1 => <>))
     return W_Pred_Id
   is
      New_Node : Why_Node (W_Connection);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Connection);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K20_Left :=
        +(W_Expr_Valid_Id (Left));
      Set_Link (New_Node.K20_Left, New_Id);
      New_Node.K20_Op :=
        Op;
      New_Node.K20_Right :=
        +(W_Expr_Valid_Id (Right));
      Set_Link (New_Node.K20_Right, New_Id);
      New_Node.K20_More_Right := New_List;
      for J in More_Right'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_OId (More_Right (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_OId (More_Right (J)))));
         Append
           (New_Node.K20_More_Right,
            +(W_Expr_Valid_OId (More_Right (J))));
      end loop;
      Set_Link (New_Node.K20_More_Right, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Pred_Id (New_Id);
   end New_Connection;

   --------------------
   -- New_Connection --
   --------------------

   function New_Connection
     (Ada_Node   : Node_Id := Empty;
      Left       : W_Prog_Id;
      Op         : EW_Connector;
      Right      : W_Prog_Id;
      More_Right : W_Prog_Array := (2 .. 1 => <>))
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Connection);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Connection);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K20_Left :=
        +(W_Expr_Valid_Id (Left));
      Set_Link (New_Node.K20_Left, New_Id);
      New_Node.K20_Op :=
        Op;
      New_Node.K20_Right :=
        +(W_Expr_Valid_Id (Right));
      Set_Link (New_Node.K20_Right, New_Id);
      New_Node.K20_More_Right := New_List;
      for J in More_Right'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_OId (More_Right (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_OId (More_Right (J)))));
         Append
           (New_Node.K20_More_Right,
            +(W_Expr_Valid_OId (More_Right (J))));
      end loop;
      Set_Link (New_Node.K20_More_Right, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Connection;

   ---------------
   -- New_Label --
   ---------------

   function New_Label
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Labels   : Symbol_Set;
      Def      : W_Expr_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Label_Id
   is
      New_Node : Why_Node (W_Label);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Label);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K21_Labels :=
        Labels;
      New_Node.K21_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K21_Def, New_Id);
      New_Node.K21_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K21_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Label_Id (New_Id);
   end New_Label;

   ---------------
   -- New_Label --
   ---------------

   function New_Label
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Labels   : Symbol_Set;
      Def      : W_Expr_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Label);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Label);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K21_Labels :=
        Labels;
      New_Node.K21_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K21_Def, New_Id);
      New_Node.K21_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K21_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Label;

   ---------------
   -- New_Label --
   ---------------

   function New_Label
     (Ada_Node : Node_Id := Empty;
      Labels   : Symbol_Set;
      Def      : W_Pred_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Pred_Id
   is
      New_Node : Why_Node (W_Label);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Label);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K21_Labels :=
        Labels;
      New_Node.K21_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K21_Def, New_Id);
      New_Node.K21_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K21_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Pred_Id (New_Id);
   end New_Label;

   ---------------
   -- New_Label --
   ---------------

   function New_Label
     (Ada_Node : Node_Id := Empty;
      Labels   : Symbol_Set;
      Def      : W_Term_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Label);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Label);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K21_Labels :=
        Labels;
      New_Node.K21_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K21_Def, New_Id);
      New_Node.K21_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K21_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Label;

   ---------------
   -- New_Label --
   ---------------

   function New_Label
     (Ada_Node : Node_Id := Empty;
      Labels   : Symbol_Set;
      Def      : W_Prog_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Label);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Label);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K21_Labels :=
        Labels;
      New_Node.K21_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K21_Def, New_Id);
      New_Node.K21_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K21_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Label;

   -------------------
   -- New_Loc_Label --
   -------------------

   function New_Loc_Label
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Sloc     : Source_Ptr;
      Def      : W_Expr_Id;
      Marker   : Symbol := No_Symbol)
     return W_Loc_Label_Id
   is
      New_Node : Why_Node (W_Loc_Label);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Loc_Label);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K22_Sloc :=
        Sloc;
      New_Node.K22_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K22_Def, New_Id);
      New_Node.K22_Marker :=
        Marker;
      Set_Node (New_Id, New_Node);
      return W_Loc_Label_Id (New_Id);
   end New_Loc_Label;

   -------------------
   -- New_Loc_Label --
   -------------------

   function New_Loc_Label
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Sloc     : Source_Ptr;
      Def      : W_Expr_Id;
      Marker   : Symbol := No_Symbol)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Loc_Label);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Loc_Label);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K22_Sloc :=
        Sloc;
      New_Node.K22_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K22_Def, New_Id);
      New_Node.K22_Marker :=
        Marker;
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Loc_Label;

   -------------------
   -- New_Loc_Label --
   -------------------

   function New_Loc_Label
     (Ada_Node : Node_Id := Empty;
      Sloc     : Source_Ptr;
      Def      : W_Pred_Id;
      Marker   : Symbol := No_Symbol)
     return W_Pred_Id
   is
      New_Node : Why_Node (W_Loc_Label);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Loc_Label);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K22_Sloc :=
        Sloc;
      New_Node.K22_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K22_Def, New_Id);
      New_Node.K22_Marker :=
        Marker;
      Set_Node (New_Id, New_Node);
      return W_Pred_Id (New_Id);
   end New_Loc_Label;

   -------------------
   -- New_Loc_Label --
   -------------------

   function New_Loc_Label
     (Ada_Node : Node_Id := Empty;
      Sloc     : Source_Ptr;
      Def      : W_Term_Id;
      Marker   : Symbol := No_Symbol)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Loc_Label);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Loc_Label);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K22_Sloc :=
        Sloc;
      New_Node.K22_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K22_Def, New_Id);
      New_Node.K22_Marker :=
        Marker;
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Loc_Label;

   -------------------
   -- New_Loc_Label --
   -------------------

   function New_Loc_Label
     (Ada_Node : Node_Id := Empty;
      Sloc     : Source_Ptr;
      Def      : W_Prog_Id;
      Marker   : Symbol := No_Symbol)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Loc_Label);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Loc_Label);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K22_Sloc :=
        Sloc;
      New_Node.K22_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K22_Def, New_Id);
      New_Node.K22_Marker :=
        Marker;
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Loc_Label;

   --------------------
   -- New_Identifier --
   --------------------

   function New_Identifier
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Name     : W_Name_Id;
      Typ      : W_Type_OId := Why_Empty;
      Labels   : String_Sets.Set := String_Sets.Empty_Set)
     return W_Identifier_Id
   is
      New_Node : Why_Node (W_Identifier);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Identifier);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K23_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K23_Name, New_Id);
      New_Node.K23_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K23_Typ, New_Id);
      New_Node.K23_Labels :=
        Labels;
      Set_Node (New_Id, New_Node);
      return W_Identifier_Id (New_Id);
   end New_Identifier;

   --------------------
   -- New_Identifier --
   --------------------

   function New_Identifier
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Name     : W_Name_Id;
      Typ      : W_Type_OId := Why_Empty;
      Labels   : String_Sets.Set := String_Sets.Empty_Set)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Identifier);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Identifier);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K23_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K23_Name, New_Id);
      New_Node.K23_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K23_Typ, New_Id);
      New_Node.K23_Labels :=
        Labels;
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Identifier;

   --------------------
   -- New_Identifier --
   --------------------

   function New_Identifier
     (Ada_Node : Node_Id := Empty;
      Name     : W_Name_Id;
      Typ      : W_Type_OId := Why_Empty;
      Labels   : String_Sets.Set := String_Sets.Empty_Set)
     return W_Pred_Id
   is
      New_Node : Why_Node (W_Identifier);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Identifier);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K23_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K23_Name, New_Id);
      New_Node.K23_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K23_Typ, New_Id);
      New_Node.K23_Labels :=
        Labels;
      Set_Node (New_Id, New_Node);
      return W_Pred_Id (New_Id);
   end New_Identifier;

   --------------------
   -- New_Identifier --
   --------------------

   function New_Identifier
     (Ada_Node : Node_Id := Empty;
      Name     : W_Name_Id;
      Typ      : W_Type_OId := Why_Empty;
      Labels   : String_Sets.Set := String_Sets.Empty_Set)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Identifier);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Identifier);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K23_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K23_Name, New_Id);
      New_Node.K23_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K23_Typ, New_Id);
      New_Node.K23_Labels :=
        Labels;
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Identifier;

   --------------------
   -- New_Identifier --
   --------------------

   function New_Identifier
     (Ada_Node : Node_Id := Empty;
      Name     : W_Name_Id;
      Typ      : W_Type_OId := Why_Empty;
      Labels   : String_Sets.Set := String_Sets.Empty_Set)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Identifier);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Identifier);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K23_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K23_Name, New_Id);
      New_Node.K23_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K23_Typ, New_Id);
      New_Node.K23_Labels :=
        Labels;
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Identifier;

   ----------------
   -- New_Tagged --
   ----------------

   function New_Tagged
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Tag      : Symbol;
      Def      : W_Expr_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Tagged_Id
   is
      New_Node : Why_Node (W_Tagged);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Tagged);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K24_Tag :=
        Tag;
      New_Node.K24_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K24_Def, New_Id);
      New_Node.K24_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K24_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Tagged_Id (New_Id);
   end New_Tagged;

   ----------------
   -- New_Tagged --
   ----------------

   function New_Tagged
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Tag      : Symbol;
      Def      : W_Expr_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Tagged);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Tagged);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K24_Tag :=
        Tag;
      New_Node.K24_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K24_Def, New_Id);
      New_Node.K24_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K24_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Tagged;

   ----------------
   -- New_Tagged --
   ----------------

   function New_Tagged
     (Ada_Node : Node_Id := Empty;
      Tag      : Symbol;
      Def      : W_Pred_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Pred_Id
   is
      New_Node : Why_Node (W_Tagged);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Tagged);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K24_Tag :=
        Tag;
      New_Node.K24_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K24_Def, New_Id);
      New_Node.K24_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K24_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Pred_Id (New_Id);
   end New_Tagged;

   ----------------
   -- New_Tagged --
   ----------------

   function New_Tagged
     (Ada_Node : Node_Id := Empty;
      Tag      : Symbol;
      Def      : W_Term_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Tagged);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Tagged);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K24_Tag :=
        Tag;
      New_Node.K24_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K24_Def, New_Id);
      New_Node.K24_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K24_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Tagged;

   ----------------
   -- New_Tagged --
   ----------------

   function New_Tagged
     (Ada_Node : Node_Id := Empty;
      Tag      : Symbol;
      Def      : W_Prog_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Tagged);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Tagged);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K24_Tag :=
        Tag;
      New_Node.K24_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K24_Def, New_Id);
      New_Node.K24_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K24_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Tagged;

   --------------
   -- New_Call --
   --------------

   function New_Call
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Name     : W_Identifier_Id;
      Args     : W_Expr_Array := (2 .. 1 => <>);
      Typ      : W_Type_OId := Why_Empty)
     return W_Call_Id
   is
      New_Node : Why_Node (W_Call);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Call);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K25_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K25_Name, New_Id);
      New_Node.K25_Args := New_List;
      for J in Args'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_OId (Args (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_OId (Args (J)))));
         Append
           (New_Node.K25_Args,
            +(W_Expr_Valid_OId (Args (J))));
      end loop;
      Set_Link (New_Node.K25_Args, New_Id);
      New_Node.K25_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K25_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Call_Id (New_Id);
   end New_Call;

   --------------
   -- New_Call --
   --------------

   function New_Call
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Name     : W_Identifier_Id;
      Args     : W_Expr_Array := (2 .. 1 => <>);
      Typ      : W_Type_OId := Why_Empty)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Call);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Call);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K25_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K25_Name, New_Id);
      New_Node.K25_Args := New_List;
      for J in Args'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_OId (Args (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_OId (Args (J)))));
         Append
           (New_Node.K25_Args,
            +(W_Expr_Valid_OId (Args (J))));
      end loop;
      Set_Link (New_Node.K25_Args, New_Id);
      New_Node.K25_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K25_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Call;

   --------------
   -- New_Call --
   --------------

   function New_Call
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Args     : W_Expr_Array := (2 .. 1 => <>);
      Typ      : W_Type_OId := Why_Empty)
     return W_Pred_Id
   is
      New_Node : Why_Node (W_Call);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Call);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K25_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K25_Name, New_Id);
      New_Node.K25_Args := New_List;
      for J in Args'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_OId (Args (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_OId (Args (J)))));
         Append
           (New_Node.K25_Args,
            +(W_Expr_Valid_OId (Args (J))));
      end loop;
      Set_Link (New_Node.K25_Args, New_Id);
      New_Node.K25_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K25_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Pred_Id (New_Id);
   end New_Call;

   --------------
   -- New_Call --
   --------------

   function New_Call
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Args     : W_Expr_Array := (2 .. 1 => <>);
      Typ      : W_Type_OId := Why_Empty)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Call);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Call);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K25_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K25_Name, New_Id);
      New_Node.K25_Args := New_List;
      for J in Args'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_OId (Args (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_OId (Args (J)))));
         Append
           (New_Node.K25_Args,
            +(W_Expr_Valid_OId (Args (J))));
      end loop;
      Set_Link (New_Node.K25_Args, New_Id);
      New_Node.K25_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K25_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Call;

   --------------
   -- New_Call --
   --------------

   function New_Call
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Args     : W_Expr_Array := (2 .. 1 => <>);
      Typ      : W_Type_OId := Why_Empty)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Call);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Call);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K25_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K25_Name, New_Id);
      New_Node.K25_Args := New_List;
      for J in Args'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_OId (Args (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_OId (Args (J)))));
         Append
           (New_Node.K25_Args,
            +(W_Expr_Valid_OId (Args (J))));
      end loop;
      Set_Link (New_Node.K25_Args, New_Id);
      New_Node.K25_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K25_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Call;

   -----------------
   -- New_Literal --
   -----------------

   function New_Literal
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Value    : EW_Literal;
      Typ      : W_Type_OId := Why_Empty)
     return W_Literal_Id
   is
      New_Node : Why_Node (W_Literal);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Literal);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K26_Value :=
        Value;
      New_Node.K26_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K26_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Literal_Id (New_Id);
   end New_Literal;

   -----------------
   -- New_Literal --
   -----------------

   function New_Literal
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Value    : EW_Literal;
      Typ      : W_Type_OId := Why_Empty)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Literal);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Literal);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K26_Value :=
        Value;
      New_Node.K26_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K26_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Literal;

   -----------------
   -- New_Literal --
   -----------------

   function New_Literal
     (Ada_Node : Node_Id := Empty;
      Value    : EW_Literal;
      Typ      : W_Type_OId := Why_Empty)
     return W_Pred_Id
   is
      New_Node : Why_Node (W_Literal);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Literal);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K26_Value :=
        Value;
      New_Node.K26_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K26_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Pred_Id (New_Id);
   end New_Literal;

   -----------------
   -- New_Literal --
   -----------------

   function New_Literal
     (Ada_Node : Node_Id := Empty;
      Value    : EW_Literal;
      Typ      : W_Type_OId := Why_Empty)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Literal);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Literal);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K26_Value :=
        Value;
      New_Node.K26_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K26_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Literal;

   -----------------
   -- New_Literal --
   -----------------

   function New_Literal
     (Ada_Node : Node_Id := Empty;
      Value    : EW_Literal;
      Typ      : W_Type_OId := Why_Empty)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Literal);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Literal);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K26_Value :=
        Value;
      New_Node.K26_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K26_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Literal;

   -----------------
   -- New_Binding --
   -----------------

   function New_Binding
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Name     : W_Identifier_Id;
      Def      : W_Expr_Id;
      Context  : W_Expr_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Binding_Id
   is
      New_Node : Why_Node (W_Binding);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Binding);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K27_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K27_Name, New_Id);
      New_Node.K27_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K27_Def, New_Id);
      New_Node.K27_Context :=
        +(W_Expr_Valid_Id (Context));
      Set_Link (New_Node.K27_Context, New_Id);
      New_Node.K27_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K27_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Binding_Id (New_Id);
   end New_Binding;

   -----------------
   -- New_Binding --
   -----------------

   function New_Binding
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Name     : W_Identifier_Id;
      Def      : W_Expr_Id;
      Context  : W_Expr_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Binding);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Binding);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K27_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K27_Name, New_Id);
      New_Node.K27_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K27_Def, New_Id);
      New_Node.K27_Context :=
        +(W_Expr_Valid_Id (Context));
      Set_Link (New_Node.K27_Context, New_Id);
      New_Node.K27_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K27_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Binding;

   -----------------
   -- New_Binding --
   -----------------

   function New_Binding
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Def      : W_Term_Id;
      Context  : W_Pred_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Pred_Id
   is
      New_Node : Why_Node (W_Binding);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Binding);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K27_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K27_Name, New_Id);
      New_Node.K27_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K27_Def, New_Id);
      New_Node.K27_Context :=
        +(W_Expr_Valid_Id (Context));
      Set_Link (New_Node.K27_Context, New_Id);
      New_Node.K27_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K27_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Pred_Id (New_Id);
   end New_Binding;

   -----------------
   -- New_Binding --
   -----------------

   function New_Binding
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Def      : W_Term_Id;
      Context  : W_Term_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Binding);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Binding);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K27_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K27_Name, New_Id);
      New_Node.K27_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K27_Def, New_Id);
      New_Node.K27_Context :=
        +(W_Expr_Valid_Id (Context));
      Set_Link (New_Node.K27_Context, New_Id);
      New_Node.K27_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K27_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Binding;

   -----------------
   -- New_Binding --
   -----------------

   function New_Binding
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Def      : W_Prog_Id;
      Context  : W_Prog_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Binding);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Binding);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K27_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K27_Name, New_Id);
      New_Node.K27_Def :=
        +(W_Expr_Valid_Id (Def));
      Set_Link (New_Node.K27_Def, New_Id);
      New_Node.K27_Context :=
        +(W_Expr_Valid_Id (Context));
      Set_Link (New_Node.K27_Context, New_Id);
      New_Node.K27_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K27_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Binding;

   ---------------
   -- New_Elsif --
   ---------------

   function New_Elsif
     (Ada_Node  : Node_Id := Empty;
      Domain    : EW_Domain;
      Condition : W_Expr_Id;
      Then_Part : W_Expr_Id;
      Typ       : W_Type_OId := Why_Empty)
     return W_Elsif_Id
   is
      New_Node : Why_Node (W_Elsif);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Elsif);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K28_Condition :=
        +(W_Expr_Valid_Id (Condition));
      Set_Link (New_Node.K28_Condition, New_Id);
      New_Node.K28_Then_Part :=
        +(W_Expr_Valid_Id (Then_Part));
      Set_Link (New_Node.K28_Then_Part, New_Id);
      New_Node.K28_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K28_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Elsif_Id (New_Id);
   end New_Elsif;

   ---------------
   -- New_Elsif --
   ---------------

   function New_Elsif
     (Ada_Node  : Node_Id := Empty;
      Domain    : EW_Domain;
      Condition : W_Expr_Id;
      Then_Part : W_Expr_Id;
      Typ       : W_Type_OId := Why_Empty)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Elsif);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Elsif);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K28_Condition :=
        +(W_Expr_Valid_Id (Condition));
      Set_Link (New_Node.K28_Condition, New_Id);
      New_Node.K28_Then_Part :=
        +(W_Expr_Valid_Id (Then_Part));
      Set_Link (New_Node.K28_Then_Part, New_Id);
      New_Node.K28_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K28_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Elsif;

   ---------------
   -- New_Elsif --
   ---------------

   function New_Elsif
     (Ada_Node  : Node_Id := Empty;
      Condition : W_Pred_Id;
      Then_Part : W_Pred_Id;
      Typ       : W_Type_OId := Why_Empty)
     return W_Pred_Id
   is
      New_Node : Why_Node (W_Elsif);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Elsif);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K28_Condition :=
        +(W_Expr_Valid_Id (Condition));
      Set_Link (New_Node.K28_Condition, New_Id);
      New_Node.K28_Then_Part :=
        +(W_Expr_Valid_Id (Then_Part));
      Set_Link (New_Node.K28_Then_Part, New_Id);
      New_Node.K28_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K28_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Pred_Id (New_Id);
   end New_Elsif;

   ---------------
   -- New_Elsif --
   ---------------

   function New_Elsif
     (Ada_Node  : Node_Id := Empty;
      Condition : W_Term_Id;
      Then_Part : W_Term_Id;
      Typ       : W_Type_OId := Why_Empty)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Elsif);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Elsif);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K28_Condition :=
        +(W_Expr_Valid_Id (Condition));
      Set_Link (New_Node.K28_Condition, New_Id);
      New_Node.K28_Then_Part :=
        +(W_Expr_Valid_Id (Then_Part));
      Set_Link (New_Node.K28_Then_Part, New_Id);
      New_Node.K28_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K28_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Elsif;

   ---------------
   -- New_Elsif --
   ---------------

   function New_Elsif
     (Ada_Node  : Node_Id := Empty;
      Condition : W_Prog_Id;
      Then_Part : W_Prog_Id;
      Typ       : W_Type_OId := Why_Empty)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Elsif);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Elsif);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K28_Condition :=
        +(W_Expr_Valid_Id (Condition));
      Set_Link (New_Node.K28_Condition, New_Id);
      New_Node.K28_Then_Part :=
        +(W_Expr_Valid_Id (Then_Part));
      Set_Link (New_Node.K28_Then_Part, New_Id);
      New_Node.K28_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K28_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Elsif;

   -----------------
   -- New_Epsilon --
   -----------------

   function New_Epsilon
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Name     : W_Identifier_Id;
      Typ      : W_Type_Id;
      Pred     : W_Pred_Id)
     return W_Epsilon_Id
   is
      New_Node : Why_Node (W_Epsilon);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Epsilon);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K29_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K29_Name, New_Id);
      New_Node.K29_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K29_Typ, New_Id);
      New_Node.K29_Pred :=
        +(W_Pred_Valid_Id (Pred));
      Set_Link (New_Node.K29_Pred, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Epsilon_Id (New_Id);
   end New_Epsilon;

   -----------------
   -- New_Epsilon --
   -----------------

   function New_Epsilon
     (Ada_Node : Node_Id := Empty;
      Domain   : EW_Domain;
      Name     : W_Identifier_Id;
      Typ      : W_Type_Id;
      Pred     : W_Pred_Id)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Epsilon);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Epsilon);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K29_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K29_Name, New_Id);
      New_Node.K29_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K29_Typ, New_Id);
      New_Node.K29_Pred :=
        +(W_Pred_Valid_Id (Pred));
      Set_Link (New_Node.K29_Pred, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Epsilon;

   -----------------
   -- New_Epsilon --
   -----------------

   function New_Epsilon
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Typ      : W_Type_Id;
      Pred     : W_Pred_Id)
     return W_Pred_Id
   is
      New_Node : Why_Node (W_Epsilon);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Epsilon);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K29_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K29_Name, New_Id);
      New_Node.K29_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K29_Typ, New_Id);
      New_Node.K29_Pred :=
        +(W_Pred_Valid_Id (Pred));
      Set_Link (New_Node.K29_Pred, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Pred_Id (New_Id);
   end New_Epsilon;

   -----------------
   -- New_Epsilon --
   -----------------

   function New_Epsilon
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Typ      : W_Type_Id;
      Pred     : W_Pred_Id)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Epsilon);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Epsilon);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K29_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K29_Name, New_Id);
      New_Node.K29_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K29_Typ, New_Id);
      New_Node.K29_Pred :=
        +(W_Pred_Valid_Id (Pred));
      Set_Link (New_Node.K29_Pred, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Epsilon;

   -----------------
   -- New_Epsilon --
   -----------------

   function New_Epsilon
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Typ      : W_Type_Id;
      Pred     : W_Pred_Id)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Epsilon);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Epsilon);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K29_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K29_Name, New_Id);
      New_Node.K29_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K29_Typ, New_Id);
      New_Node.K29_Pred :=
        +(W_Pred_Valid_Id (Pred));
      Set_Link (New_Node.K29_Pred, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Epsilon;

   ---------------------
   -- New_Conditional --
   ---------------------

   function New_Conditional
     (Ada_Node    : Node_Id := Empty;
      Domain      : EW_Domain;
      Condition   : W_Expr_Id;
      Then_Part   : W_Expr_Id;
      Elsif_Parts : W_Expr_Array := (2 .. 1 => <>);
      Else_Part   : W_Expr_OId := Why_Empty;
      Typ         : W_Type_OId := Why_Empty)
     return W_Conditional_Id
   is
      New_Node : Why_Node (W_Conditional);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Conditional);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K30_Condition :=
        +(W_Expr_Valid_Id (Condition));
      Set_Link (New_Node.K30_Condition, New_Id);
      New_Node.K30_Then_Part :=
        +(W_Expr_Valid_Id (Then_Part));
      Set_Link (New_Node.K30_Then_Part, New_Id);
      New_Node.K30_Elsif_Parts := New_List;
      for J in Elsif_Parts'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_OId (Elsif_Parts (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_OId (Elsif_Parts (J)))));
         Append
           (New_Node.K30_Elsif_Parts,
            +(W_Expr_Valid_OId (Elsif_Parts (J))));
      end loop;
      Set_Link (New_Node.K30_Elsif_Parts, New_Id);
      New_Node.K30_Else_Part :=
        +(W_Expr_Valid_OId (Else_Part));
      Set_Link (New_Node.K30_Else_Part, New_Id);
      New_Node.K30_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K30_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Conditional_Id (New_Id);
   end New_Conditional;

   ---------------------
   -- New_Conditional --
   ---------------------

   function New_Conditional
     (Ada_Node    : Node_Id := Empty;
      Domain      : EW_Domain;
      Condition   : W_Expr_Id;
      Then_Part   : W_Expr_Id;
      Elsif_Parts : W_Expr_Array := (2 .. 1 => <>);
      Else_Part   : W_Expr_OId := Why_Empty;
      Typ         : W_Type_OId := Why_Empty)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Conditional);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Conditional);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K30_Condition :=
        +(W_Expr_Valid_Id (Condition));
      Set_Link (New_Node.K30_Condition, New_Id);
      New_Node.K30_Then_Part :=
        +(W_Expr_Valid_Id (Then_Part));
      Set_Link (New_Node.K30_Then_Part, New_Id);
      New_Node.K30_Elsif_Parts := New_List;
      for J in Elsif_Parts'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_OId (Elsif_Parts (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_OId (Elsif_Parts (J)))));
         Append
           (New_Node.K30_Elsif_Parts,
            +(W_Expr_Valid_OId (Elsif_Parts (J))));
      end loop;
      Set_Link (New_Node.K30_Elsif_Parts, New_Id);
      New_Node.K30_Else_Part :=
        +(W_Expr_Valid_OId (Else_Part));
      Set_Link (New_Node.K30_Else_Part, New_Id);
      New_Node.K30_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K30_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Conditional;

   ---------------------
   -- New_Conditional --
   ---------------------

   function New_Conditional
     (Ada_Node    : Node_Id := Empty;
      Condition   : W_Pred_Id;
      Then_Part   : W_Pred_Id;
      Elsif_Parts : W_Pred_Array := (2 .. 1 => <>);
      Else_Part   : W_Pred_OId := Why_Empty;
      Typ         : W_Type_OId := Why_Empty)
     return W_Pred_Id
   is
      New_Node : Why_Node (W_Conditional);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Conditional);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Pred;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K30_Condition :=
        +(W_Expr_Valid_Id (Condition));
      Set_Link (New_Node.K30_Condition, New_Id);
      New_Node.K30_Then_Part :=
        +(W_Expr_Valid_Id (Then_Part));
      Set_Link (New_Node.K30_Then_Part, New_Id);
      New_Node.K30_Elsif_Parts := New_List;
      for J in Elsif_Parts'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_OId (Elsif_Parts (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_OId (Elsif_Parts (J)))));
         Append
           (New_Node.K30_Elsif_Parts,
            +(W_Expr_Valid_OId (Elsif_Parts (J))));
      end loop;
      Set_Link (New_Node.K30_Elsif_Parts, New_Id);
      New_Node.K30_Else_Part :=
        +(W_Expr_Valid_OId (Else_Part));
      Set_Link (New_Node.K30_Else_Part, New_Id);
      New_Node.K30_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K30_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Pred_Id (New_Id);
   end New_Conditional;

   ---------------------
   -- New_Conditional --
   ---------------------

   function New_Conditional
     (Ada_Node    : Node_Id := Empty;
      Condition   : W_Term_Id;
      Then_Part   : W_Term_Id;
      Elsif_Parts : W_Expr_Array := (2 .. 1 => <>);
      Else_Part   : W_Term_OId := Why_Empty;
      Typ         : W_Type_OId := Why_Empty)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Conditional);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Conditional);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K30_Condition :=
        +(W_Expr_Valid_Id (Condition));
      Set_Link (New_Node.K30_Condition, New_Id);
      New_Node.K30_Then_Part :=
        +(W_Expr_Valid_Id (Then_Part));
      Set_Link (New_Node.K30_Then_Part, New_Id);
      New_Node.K30_Elsif_Parts := New_List;
      for J in Elsif_Parts'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_OId (Elsif_Parts (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_OId (Elsif_Parts (J)))));
         Append
           (New_Node.K30_Elsif_Parts,
            +(W_Expr_Valid_OId (Elsif_Parts (J))));
      end loop;
      Set_Link (New_Node.K30_Elsif_Parts, New_Id);
      New_Node.K30_Else_Part :=
        +(W_Expr_Valid_OId (Else_Part));
      Set_Link (New_Node.K30_Else_Part, New_Id);
      New_Node.K30_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K30_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Conditional;

   ---------------------
   -- New_Conditional --
   ---------------------

   function New_Conditional
     (Ada_Node    : Node_Id := Empty;
      Condition   : W_Prog_Id;
      Then_Part   : W_Prog_Id;
      Elsif_Parts : W_Prog_Array := (2 .. 1 => <>);
      Else_Part   : W_Prog_OId := Why_Empty;
      Typ         : W_Type_OId := Why_Empty)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Conditional);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Conditional);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K30_Condition :=
        +(W_Expr_Valid_Id (Condition));
      Set_Link (New_Node.K30_Condition, New_Id);
      New_Node.K30_Then_Part :=
        +(W_Expr_Valid_Id (Then_Part));
      Set_Link (New_Node.K30_Then_Part, New_Id);
      New_Node.K30_Elsif_Parts := New_List;
      for J in Elsif_Parts'Range loop
         pragma Assert
           (Expr_Id_Kind_Valid
            (+(W_Expr_Valid_OId (Elsif_Parts (J)))));
         pragma Assert
           (Expr_Id_Valid
            (+(W_Expr_Valid_OId (Elsif_Parts (J)))));
         Append
           (New_Node.K30_Elsif_Parts,
            +(W_Expr_Valid_OId (Elsif_Parts (J))));
      end loop;
      Set_Link (New_Node.K30_Elsif_Parts, New_Id);
      New_Node.K30_Else_Part :=
        +(W_Expr_Valid_OId (Else_Part));
      Set_Link (New_Node.K30_Else_Part, New_Id);
      New_Node.K30_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K30_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Conditional;

   --------------------------
   -- New_Integer_Constant --
   --------------------------

   function New_Integer_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint)
     return W_Integer_Constant_Id
   is
      New_Node : Why_Node (W_Integer_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Integer_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K31_Value :=
        Value;
      Set_Node (New_Id, New_Node);
      return W_Integer_Constant_Id (New_Id);
   end New_Integer_Constant;

   --------------------------
   -- New_Integer_Constant --
   --------------------------

   function New_Integer_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Integer_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Integer_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K31_Value :=
        Value;
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Integer_Constant;

   --------------------------
   -- New_Integer_Constant --
   --------------------------

   function New_Integer_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Integer_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Integer_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K31_Value :=
        Value;
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Integer_Constant;

   --------------------------
   -- New_Integer_Constant --
   --------------------------

   function New_Integer_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Integer_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Integer_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K31_Value :=
        Value;
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Integer_Constant;

   ------------------------
   -- New_Range_Constant --
   ------------------------

   function New_Range_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint;
      Typ      : W_Type_Id)
     return W_Range_Constant_Id
   is
      New_Node : Why_Node (W_Range_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Range_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K32_Value :=
        Value;
      New_Node.K32_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K32_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Range_Constant_Id (New_Id);
   end New_Range_Constant;

   ------------------------
   -- New_Range_Constant --
   ------------------------

   function New_Range_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint;
      Typ      : W_Type_Id)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Range_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Range_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K32_Value :=
        Value;
      New_Node.K32_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K32_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Range_Constant;

   ------------------------
   -- New_Range_Constant --
   ------------------------

   function New_Range_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint;
      Typ      : W_Type_Id)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Range_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Range_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K32_Value :=
        Value;
      New_Node.K32_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K32_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Range_Constant;

   ------------------------
   -- New_Range_Constant --
   ------------------------

   function New_Range_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint;
      Typ      : W_Type_Id)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Range_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Range_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K32_Value :=
        Value;
      New_Node.K32_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K32_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Range_Constant;

   --------------------------
   -- New_Modular_Constant --
   --------------------------

   function New_Modular_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint;
      Typ      : W_Type_Id)
     return W_Modular_Constant_Id
   is
      New_Node : Why_Node (W_Modular_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Modular_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K33_Value :=
        Value;
      New_Node.K33_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K33_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Modular_Constant_Id (New_Id);
   end New_Modular_Constant;

   --------------------------
   -- New_Modular_Constant --
   --------------------------

   function New_Modular_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint;
      Typ      : W_Type_Id)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Modular_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Modular_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K33_Value :=
        Value;
      New_Node.K33_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K33_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Modular_Constant;

   --------------------------
   -- New_Modular_Constant --
   --------------------------

   function New_Modular_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint;
      Typ      : W_Type_Id)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Modular_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Modular_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K33_Value :=
        Value;
      New_Node.K33_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K33_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Modular_Constant;

   --------------------------
   -- New_Modular_Constant --
   --------------------------

   function New_Modular_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint;
      Typ      : W_Type_Id)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Modular_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Modular_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K33_Value :=
        Value;
      New_Node.K33_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K33_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Modular_Constant;

   ------------------------
   -- New_Fixed_Constant --
   ------------------------

   function New_Fixed_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint;
      Typ      : W_Type_Id)
     return W_Fixed_Constant_Id
   is
      New_Node : Why_Node (W_Fixed_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Fixed_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K34_Value :=
        Value;
      New_Node.K34_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K34_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Fixed_Constant_Id (New_Id);
   end New_Fixed_Constant;

   ------------------------
   -- New_Fixed_Constant --
   ------------------------

   function New_Fixed_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint;
      Typ      : W_Type_Id)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Fixed_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Fixed_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K34_Value :=
        Value;
      New_Node.K34_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K34_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Fixed_Constant;

   ------------------------
   -- New_Fixed_Constant --
   ------------------------

   function New_Fixed_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint;
      Typ      : W_Type_Id)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Fixed_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Fixed_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K34_Value :=
        Value;
      New_Node.K34_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K34_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Fixed_Constant;

   ------------------------
   -- New_Fixed_Constant --
   ------------------------

   function New_Fixed_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Uint;
      Typ      : W_Type_Id)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Fixed_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Fixed_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K34_Value :=
        Value;
      New_Node.K34_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K34_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Fixed_Constant;

   -----------------------
   -- New_Real_Constant --
   -----------------------

   function New_Real_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Ureal)
     return W_Real_Constant_Id
   is
      New_Node : Why_Node (W_Real_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Real_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K35_Value :=
        Value;
      Set_Node (New_Id, New_Node);
      return W_Real_Constant_Id (New_Id);
   end New_Real_Constant;

   -----------------------
   -- New_Real_Constant --
   -----------------------

   function New_Real_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Ureal)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Real_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Real_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K35_Value :=
        Value;
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Real_Constant;

   -----------------------
   -- New_Real_Constant --
   -----------------------

   function New_Real_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Ureal)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Real_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Real_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K35_Value :=
        Value;
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Real_Constant;

   -----------------------
   -- New_Real_Constant --
   -----------------------

   function New_Real_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Ureal)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Real_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Real_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K35_Value :=
        Value;
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Real_Constant;

   ------------------------
   -- New_Float_Constant --
   ------------------------

   function New_Float_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Ureal;
      Typ      : W_Type_Id)
     return W_Float_Constant_Id
   is
      New_Node : Why_Node (W_Float_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Float_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K36_Value :=
        Value;
      New_Node.K36_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K36_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Float_Constant_Id (New_Id);
   end New_Float_Constant;

   ------------------------
   -- New_Float_Constant --
   ------------------------

   function New_Float_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Ureal;
      Typ      : W_Type_Id)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Float_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Float_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K36_Value :=
        Value;
      New_Node.K36_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K36_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Float_Constant;

   ------------------------
   -- New_Float_Constant --
   ------------------------

   function New_Float_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Ureal;
      Typ      : W_Type_Id)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Float_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Float_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K36_Value :=
        Value;
      New_Node.K36_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K36_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Float_Constant;

   ------------------------
   -- New_Float_Constant --
   ------------------------

   function New_Float_Constant
     (Ada_Node : Node_Id := Empty;
      Value    : Ureal;
      Typ      : W_Type_Id)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Float_Constant);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Float_Constant);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K36_Value :=
        Value;
      New_Node.K36_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K36_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Float_Constant;

   -----------------
   -- New_Comment --
   -----------------

   function New_Comment
     (Ada_Node : Node_Id := Empty;
      Comment  : Symbol)
     return W_Comment_Id
   is
      New_Node : Why_Node (W_Comment);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Comment);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K37_Comment :=
        Comment;
      Set_Node (New_Id, New_Node);
      return W_Comment_Id (New_Id);
   end New_Comment;

   -----------------
   -- New_Comment --
   -----------------

   function New_Comment
     (Ada_Node : Node_Id := Empty;
      Comment  : Symbol)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Comment);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Comment);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K37_Comment :=
        Comment;
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Comment;

   -----------------
   -- New_Comment --
   -----------------

   function New_Comment
     (Ada_Node : Node_Id := Empty;
      Comment  : Symbol)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Comment);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Comment);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K37_Comment :=
        Comment;
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Comment;

   -----------------
   -- New_Comment --
   -----------------

   function New_Comment
     (Ada_Node : Node_Id := Empty;
      Comment  : Symbol)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Comment);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Comment);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K37_Comment :=
        Comment;
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Comment;

   ---------------
   -- New_Deref --
   ---------------

   function New_Deref
     (Ada_Node : Node_Id := Empty;
      Right    : W_Identifier_Id;
      Typ      : W_Type_Id)
     return W_Deref_Id
   is
      New_Node : Why_Node (W_Deref);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Deref);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K38_Right :=
        +(W_Identifier_Valid_Id (Right));
      Set_Link (New_Node.K38_Right, New_Id);
      New_Node.K38_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K38_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Deref_Id (New_Id);
   end New_Deref;

   ---------------
   -- New_Deref --
   ---------------

   function New_Deref
     (Ada_Node : Node_Id := Empty;
      Right    : W_Identifier_Id;
      Typ      : W_Type_Id)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Deref);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Deref);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K38_Right :=
        +(W_Identifier_Valid_Id (Right));
      Set_Link (New_Node.K38_Right, New_Id);
      New_Node.K38_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K38_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Deref;

   ---------------
   -- New_Deref --
   ---------------

   function New_Deref
     (Ada_Node : Node_Id := Empty;
      Right    : W_Identifier_Id;
      Typ      : W_Type_Id)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Deref);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Deref);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K38_Right :=
        +(W_Identifier_Valid_Id (Right));
      Set_Link (New_Node.K38_Right, New_Id);
      New_Node.K38_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K38_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Deref;

   ---------------
   -- New_Deref --
   ---------------

   function New_Deref
     (Ada_Node : Node_Id := Empty;
      Right    : W_Identifier_Id;
      Typ      : W_Type_Id)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Deref);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Deref);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K38_Right :=
        +(W_Identifier_Valid_Id (Right));
      Set_Link (New_Node.K38_Right, New_Id);
      New_Node.K38_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K38_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Deref;

   -----------------------
   -- New_Record_Access --
   -----------------------

   function New_Record_Access
     (Ada_Node : Node_Id := Empty;
      Name     : W_Expr_Id;
      Field    : W_Identifier_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Record_Access_Id
   is
      New_Node : Why_Node (W_Record_Access);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Access);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K39_Name :=
        +(W_Expr_Valid_Id (Name));
      Set_Link (New_Node.K39_Name, New_Id);
      New_Node.K39_Field :=
        +(W_Identifier_Valid_Id (Field));
      Set_Link (New_Node.K39_Field, New_Id);
      New_Node.K39_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K39_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Record_Access_Id (New_Id);
   end New_Record_Access;

   -----------------------
   -- New_Record_Access --
   -----------------------

   function New_Record_Access
     (Ada_Node : Node_Id := Empty;
      Name     : W_Expr_Id;
      Field    : W_Identifier_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Record_Access);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Access);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K39_Name :=
        +(W_Expr_Valid_Id (Name));
      Set_Link (New_Node.K39_Name, New_Id);
      New_Node.K39_Field :=
        +(W_Identifier_Valid_Id (Field));
      Set_Link (New_Node.K39_Field, New_Id);
      New_Node.K39_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K39_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Record_Access;

   -----------------------
   -- New_Record_Access --
   -----------------------

   function New_Record_Access
     (Ada_Node : Node_Id := Empty;
      Name     : W_Term_Id;
      Field    : W_Identifier_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Record_Access);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Access);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K39_Name :=
        +(W_Expr_Valid_Id (Name));
      Set_Link (New_Node.K39_Name, New_Id);
      New_Node.K39_Field :=
        +(W_Identifier_Valid_Id (Field));
      Set_Link (New_Node.K39_Field, New_Id);
      New_Node.K39_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K39_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Record_Access;

   -----------------------
   -- New_Record_Access --
   -----------------------

   function New_Record_Access
     (Ada_Node : Node_Id := Empty;
      Name     : W_Prog_Id;
      Field    : W_Identifier_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Record_Access);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Access);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K39_Name :=
        +(W_Expr_Valid_Id (Name));
      Set_Link (New_Node.K39_Name, New_Id);
      New_Node.K39_Field :=
        +(W_Identifier_Valid_Id (Field));
      Set_Link (New_Node.K39_Field, New_Id);
      New_Node.K39_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K39_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Record_Access;

   -----------------------
   -- New_Record_Update --
   -----------------------

   function New_Record_Update
     (Ada_Node : Node_Id := Empty;
      Name     : W_Expr_Id;
      Updates  : W_Field_Association_Array;
      Typ      : W_Type_OId := Why_Empty)
     return W_Record_Update_Id
   is
      New_Node : Why_Node (W_Record_Update);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Update);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K40_Name :=
        +(W_Expr_Valid_Id (Name));
      Set_Link (New_Node.K40_Name, New_Id);
      pragma Assert (Updates'Length > 0);
      New_Node.K40_Updates := New_List;
      for J in Updates'Range loop
         pragma Assert
           (Field_Association_Id_Kind_Valid
            (+(W_Field_Association_Valid_Id (Updates (J)))));
         pragma Assert
           (Field_Association_Id_Valid
            (+(W_Field_Association_Valid_Id (Updates (J)))));
         Append
           (New_Node.K40_Updates,
            +(W_Field_Association_Valid_Id (Updates (J))));
      end loop;
      Set_Link (New_Node.K40_Updates, New_Id);
      New_Node.K40_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K40_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Record_Update_Id (New_Id);
   end New_Record_Update;

   -----------------------
   -- New_Record_Update --
   -----------------------

   function New_Record_Update
     (Ada_Node : Node_Id := Empty;
      Name     : W_Expr_Id;
      Updates  : W_Field_Association_Array;
      Typ      : W_Type_OId := Why_Empty)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Record_Update);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Update);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K40_Name :=
        +(W_Expr_Valid_Id (Name));
      Set_Link (New_Node.K40_Name, New_Id);
      pragma Assert (Updates'Length > 0);
      New_Node.K40_Updates := New_List;
      for J in Updates'Range loop
         pragma Assert
           (Field_Association_Id_Kind_Valid
            (+(W_Field_Association_Valid_Id (Updates (J)))));
         pragma Assert
           (Field_Association_Id_Valid
            (+(W_Field_Association_Valid_Id (Updates (J)))));
         Append
           (New_Node.K40_Updates,
            +(W_Field_Association_Valid_Id (Updates (J))));
      end loop;
      Set_Link (New_Node.K40_Updates, New_Id);
      New_Node.K40_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K40_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Record_Update;

   -----------------------
   -- New_Record_Update --
   -----------------------

   function New_Record_Update
     (Ada_Node : Node_Id := Empty;
      Name     : W_Term_Id;
      Updates  : W_Field_Association_Array;
      Typ      : W_Type_OId := Why_Empty)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Record_Update);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Update);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K40_Name :=
        +(W_Expr_Valid_Id (Name));
      Set_Link (New_Node.K40_Name, New_Id);
      pragma Assert (Updates'Length > 0);
      New_Node.K40_Updates := New_List;
      for J in Updates'Range loop
         pragma Assert
           (Field_Association_Id_Kind_Valid
            (+(W_Field_Association_Valid_Id (Updates (J)))));
         pragma Assert
           (Field_Association_Id_Valid
            (+(W_Field_Association_Valid_Id (Updates (J)))));
         Append
           (New_Node.K40_Updates,
            +(W_Field_Association_Valid_Id (Updates (J))));
      end loop;
      Set_Link (New_Node.K40_Updates, New_Id);
      New_Node.K40_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K40_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Record_Update;

   -----------------------
   -- New_Record_Update --
   -----------------------

   function New_Record_Update
     (Ada_Node : Node_Id := Empty;
      Name     : W_Prog_Id;
      Updates  : W_Field_Association_Array;
      Typ      : W_Type_OId := Why_Empty)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Record_Update);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Update);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K40_Name :=
        +(W_Expr_Valid_Id (Name));
      Set_Link (New_Node.K40_Name, New_Id);
      pragma Assert (Updates'Length > 0);
      New_Node.K40_Updates := New_List;
      for J in Updates'Range loop
         pragma Assert
           (Field_Association_Id_Kind_Valid
            (+(W_Field_Association_Valid_Id (Updates (J)))));
         pragma Assert
           (Field_Association_Id_Valid
            (+(W_Field_Association_Valid_Id (Updates (J)))));
         Append
           (New_Node.K40_Updates,
            +(W_Field_Association_Valid_Id (Updates (J))));
      end loop;
      Set_Link (New_Node.K40_Updates, New_Id);
      New_Node.K40_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K40_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Record_Update;

   --------------------------
   -- New_Record_Aggregate --
   --------------------------

   function New_Record_Aggregate
     (Ada_Node     : Node_Id := Empty;
      Associations : W_Field_Association_Array;
      Typ          : W_Type_OId := Why_Empty)
     return W_Record_Aggregate_Id
   is
      New_Node : Why_Node (W_Record_Aggregate);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Aggregate);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Associations'Length > 0);
      New_Node.K41_Associations := New_List;
      for J in Associations'Range loop
         pragma Assert
           (Field_Association_Id_Kind_Valid
            (+(W_Field_Association_Valid_Id (Associations (J)))));
         pragma Assert
           (Field_Association_Id_Valid
            (+(W_Field_Association_Valid_Id (Associations (J)))));
         Append
           (New_Node.K41_Associations,
            +(W_Field_Association_Valid_Id (Associations (J))));
      end loop;
      Set_Link (New_Node.K41_Associations, New_Id);
      New_Node.K41_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K41_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Record_Aggregate_Id (New_Id);
   end New_Record_Aggregate;

   --------------------------
   -- New_Record_Aggregate --
   --------------------------

   function New_Record_Aggregate
     (Ada_Node     : Node_Id := Empty;
      Associations : W_Field_Association_Array;
      Typ          : W_Type_OId := Why_Empty)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Record_Aggregate);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Aggregate);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Associations'Length > 0);
      New_Node.K41_Associations := New_List;
      for J in Associations'Range loop
         pragma Assert
           (Field_Association_Id_Kind_Valid
            (+(W_Field_Association_Valid_Id (Associations (J)))));
         pragma Assert
           (Field_Association_Id_Valid
            (+(W_Field_Association_Valid_Id (Associations (J)))));
         Append
           (New_Node.K41_Associations,
            +(W_Field_Association_Valid_Id (Associations (J))));
      end loop;
      Set_Link (New_Node.K41_Associations, New_Id);
      New_Node.K41_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K41_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Record_Aggregate;

   --------------------------
   -- New_Record_Aggregate --
   --------------------------

   function New_Record_Aggregate
     (Ada_Node     : Node_Id := Empty;
      Associations : W_Field_Association_Array;
      Typ          : W_Type_OId := Why_Empty)
     return W_Term_Id
   is
      New_Node : Why_Node (W_Record_Aggregate);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Aggregate);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Associations'Length > 0);
      New_Node.K41_Associations := New_List;
      for J in Associations'Range loop
         pragma Assert
           (Field_Association_Id_Kind_Valid
            (+(W_Field_Association_Valid_Id (Associations (J)))));
         pragma Assert
           (Field_Association_Id_Valid
            (+(W_Field_Association_Valid_Id (Associations (J)))));
         Append
           (New_Node.K41_Associations,
            +(W_Field_Association_Valid_Id (Associations (J))));
      end loop;
      Set_Link (New_Node.K41_Associations, New_Id);
      New_Node.K41_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K41_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Term_Id (New_Id);
   end New_Record_Aggregate;

   --------------------------
   -- New_Record_Aggregate --
   --------------------------

   function New_Record_Aggregate
     (Ada_Node     : Node_Id := Empty;
      Associations : W_Field_Association_Array;
      Typ          : W_Type_OId := Why_Empty)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Record_Aggregate);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Record_Aggregate);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Associations'Length > 0);
      New_Node.K41_Associations := New_List;
      for J in Associations'Range loop
         pragma Assert
           (Field_Association_Id_Kind_Valid
            (+(W_Field_Association_Valid_Id (Associations (J)))));
         pragma Assert
           (Field_Association_Id_Valid
            (+(W_Field_Association_Valid_Id (Associations (J)))));
         Append
           (New_Node.K41_Associations,
            +(W_Field_Association_Valid_Id (Associations (J))));
      end loop;
      Set_Link (New_Node.K41_Associations, New_Id);
      New_Node.K41_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K41_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Record_Aggregate;

   ------------------
   -- New_Any_Expr --
   ------------------

   function New_Any_Expr
     (Ada_Node    : Node_Id := Empty;
      Effects     : W_Effects_OId := Why_Empty;
      Pre         : W_Pred_OId := Why_Empty;
      Post        : W_Pred_OId := Why_Empty;
      Return_Type : W_Type_Id;
      Labels      : Symbol_Set)
     return W_Any_Expr_Id
   is
      New_Node : Why_Node (W_Any_Expr);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Any_Expr);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K42_Effects :=
        +(W_Effects_Valid_OId (Effects));
      Set_Link (New_Node.K42_Effects, New_Id);
      New_Node.K42_Pre :=
        +(W_Pred_Valid_OId (Pre));
      Set_Link (New_Node.K42_Pre, New_Id);
      New_Node.K42_Post :=
        +(W_Pred_Valid_OId (Post));
      Set_Link (New_Node.K42_Post, New_Id);
      New_Node.K42_Return_Type :=
        +(W_Type_Valid_Id (Return_Type));
      Set_Link (New_Node.K42_Return_Type, New_Id);
      New_Node.K42_Labels :=
        Labels;
      Set_Node (New_Id, New_Node);
      return W_Any_Expr_Id (New_Id);
   end New_Any_Expr;

   ------------------
   -- New_Any_Expr --
   ------------------

   function New_Any_Expr
     (Ada_Node    : Node_Id := Empty;
      Effects     : W_Effects_OId := Why_Empty;
      Pre         : W_Pred_OId := Why_Empty;
      Post        : W_Pred_OId := Why_Empty;
      Return_Type : W_Type_Id;
      Labels      : Symbol_Set)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Any_Expr);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Any_Expr);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K42_Effects :=
        +(W_Effects_Valid_OId (Effects));
      Set_Link (New_Node.K42_Effects, New_Id);
      New_Node.K42_Pre :=
        +(W_Pred_Valid_OId (Pre));
      Set_Link (New_Node.K42_Pre, New_Id);
      New_Node.K42_Post :=
        +(W_Pred_Valid_OId (Post));
      Set_Link (New_Node.K42_Post, New_Id);
      New_Node.K42_Return_Type :=
        +(W_Type_Valid_Id (Return_Type));
      Set_Link (New_Node.K42_Return_Type, New_Id);
      New_Node.K42_Labels :=
        Labels;
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Any_Expr;

   ------------------
   -- New_Any_Expr --
   ------------------

   function New_Any_Expr
     (Ada_Node    : Node_Id := Empty;
      Effects     : W_Effects_OId := Why_Empty;
      Pre         : W_Pred_OId := Why_Empty;
      Post        : W_Pred_OId := Why_Empty;
      Return_Type : W_Type_Id;
      Labels      : Symbol_Set)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Any_Expr);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Any_Expr);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K42_Effects :=
        +(W_Effects_Valid_OId (Effects));
      Set_Link (New_Node.K42_Effects, New_Id);
      New_Node.K42_Pre :=
        +(W_Pred_Valid_OId (Pre));
      Set_Link (New_Node.K42_Pre, New_Id);
      New_Node.K42_Post :=
        +(W_Pred_Valid_OId (Post));
      Set_Link (New_Node.K42_Post, New_Id);
      New_Node.K42_Return_Type :=
        +(W_Type_Valid_Id (Return_Type));
      Set_Link (New_Node.K42_Return_Type, New_Id);
      New_Node.K42_Labels :=
        Labels;
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Any_Expr;

   --------------------
   -- New_Assignment --
   --------------------

   function New_Assignment
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Value    : W_Prog_Id;
      Typ      : W_Type_Id;
      Labels   : Symbol_Set)
     return W_Assignment_Id
   is
      New_Node : Why_Node (W_Assignment);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Assignment);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K43_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K43_Name, New_Id);
      New_Node.K43_Value :=
        +(W_Prog_Valid_Id (Value));
      Set_Link (New_Node.K43_Value, New_Id);
      New_Node.K43_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K43_Typ, New_Id);
      New_Node.K43_Labels :=
        Labels;
      Set_Node (New_Id, New_Node);
      return W_Assignment_Id (New_Id);
   end New_Assignment;

   --------------------
   -- New_Assignment --
   --------------------

   function New_Assignment
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Value    : W_Prog_Id;
      Typ      : W_Type_Id;
      Labels   : Symbol_Set)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Assignment);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Assignment);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K43_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K43_Name, New_Id);
      New_Node.K43_Value :=
        +(W_Prog_Valid_Id (Value));
      Set_Link (New_Node.K43_Value, New_Id);
      New_Node.K43_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K43_Typ, New_Id);
      New_Node.K43_Labels :=
        Labels;
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Assignment;

   --------------------
   -- New_Assignment --
   --------------------

   function New_Assignment
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Value    : W_Prog_Id;
      Typ      : W_Type_Id;
      Labels   : Symbol_Set)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Assignment);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Assignment);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K43_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K43_Name, New_Id);
      New_Node.K43_Value :=
        +(W_Prog_Valid_Id (Value));
      Set_Link (New_Node.K43_Value, New_Id);
      New_Node.K43_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K43_Typ, New_Id);
      New_Node.K43_Labels :=
        Labels;
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Assignment;

   ---------------------
   -- New_Binding_Ref --
   ---------------------

   function New_Binding_Ref
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Def      : W_Prog_Id;
      Context  : W_Prog_Id;
      Typ      : W_Type_Id)
     return W_Binding_Ref_Id
   is
      New_Node : Why_Node (W_Binding_Ref);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Binding_Ref);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K44_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K44_Name, New_Id);
      New_Node.K44_Def :=
        +(W_Prog_Valid_Id (Def));
      Set_Link (New_Node.K44_Def, New_Id);
      New_Node.K44_Context :=
        +(W_Prog_Valid_Id (Context));
      Set_Link (New_Node.K44_Context, New_Id);
      New_Node.K44_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K44_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Binding_Ref_Id (New_Id);
   end New_Binding_Ref;

   ---------------------
   -- New_Binding_Ref --
   ---------------------

   function New_Binding_Ref
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Def      : W_Prog_Id;
      Context  : W_Prog_Id;
      Typ      : W_Type_Id)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Binding_Ref);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Binding_Ref);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K44_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K44_Name, New_Id);
      New_Node.K44_Def :=
        +(W_Prog_Valid_Id (Def));
      Set_Link (New_Node.K44_Def, New_Id);
      New_Node.K44_Context :=
        +(W_Prog_Valid_Id (Context));
      Set_Link (New_Node.K44_Context, New_Id);
      New_Node.K44_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K44_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Binding_Ref;

   ---------------------
   -- New_Binding_Ref --
   ---------------------

   function New_Binding_Ref
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Def      : W_Prog_Id;
      Context  : W_Prog_Id;
      Typ      : W_Type_Id)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Binding_Ref);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Binding_Ref);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K44_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K44_Name, New_Id);
      New_Node.K44_Def :=
        +(W_Prog_Valid_Id (Def));
      Set_Link (New_Node.K44_Def, New_Id);
      New_Node.K44_Context :=
        +(W_Prog_Valid_Id (Context));
      Set_Link (New_Node.K44_Context, New_Id);
      New_Node.K44_Typ :=
        +(W_Type_Valid_Id (Typ));
      Set_Link (New_Node.K44_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Binding_Ref;

   --------------
   -- New_Loop --
   --------------

   function New_Loop
     (Ada_Node    : Node_Id := Empty;
      Code_Before : W_Prog_Id;
      Invariants  : W_Pred_Array := (2 .. 1 => <>);
      Variants    : W_Variants_Array := (2 .. 1 => <>);
      Code_After  : W_Prog_Id)
     return W_Loop_Id
   is
      New_Node : Why_Node (W_Loop);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Loop);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K45_Code_Before :=
        +(W_Prog_Valid_Id (Code_Before));
      Set_Link (New_Node.K45_Code_Before, New_Id);
      New_Node.K45_Invariants := New_List;
      for J in Invariants'Range loop
         pragma Assert
           (Pred_Id_Kind_Valid
            (+(W_Pred_Valid_OId (Invariants (J)))));
         pragma Assert
           (Pred_Id_Valid
            (+(W_Pred_Valid_OId (Invariants (J)))));
         Append
           (New_Node.K45_Invariants,
            +(W_Pred_Valid_OId (Invariants (J))));
      end loop;
      Set_Link (New_Node.K45_Invariants, New_Id);
      New_Node.K45_Variants := New_List;
      for J in Variants'Range loop
         pragma Assert
           (Variants_Id_Kind_Valid
            (+(W_Variants_Valid_OId (Variants (J)))));
         pragma Assert
           (Variants_Id_Valid
            (+(W_Variants_Valid_OId (Variants (J)))));
         Append
           (New_Node.K45_Variants,
            +(W_Variants_Valid_OId (Variants (J))));
      end loop;
      Set_Link (New_Node.K45_Variants, New_Id);
      New_Node.K45_Code_After :=
        +(W_Prog_Valid_Id (Code_After));
      Set_Link (New_Node.K45_Code_After, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Loop_Id (New_Id);
   end New_Loop;

   --------------
   -- New_Loop --
   --------------

   function New_Loop
     (Ada_Node    : Node_Id := Empty;
      Code_Before : W_Prog_Id;
      Invariants  : W_Pred_Array := (2 .. 1 => <>);
      Variants    : W_Variants_Array := (2 .. 1 => <>);
      Code_After  : W_Prog_Id)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Loop);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Loop);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K45_Code_Before :=
        +(W_Prog_Valid_Id (Code_Before));
      Set_Link (New_Node.K45_Code_Before, New_Id);
      New_Node.K45_Invariants := New_List;
      for J in Invariants'Range loop
         pragma Assert
           (Pred_Id_Kind_Valid
            (+(W_Pred_Valid_OId (Invariants (J)))));
         pragma Assert
           (Pred_Id_Valid
            (+(W_Pred_Valid_OId (Invariants (J)))));
         Append
           (New_Node.K45_Invariants,
            +(W_Pred_Valid_OId (Invariants (J))));
      end loop;
      Set_Link (New_Node.K45_Invariants, New_Id);
      New_Node.K45_Variants := New_List;
      for J in Variants'Range loop
         pragma Assert
           (Variants_Id_Kind_Valid
            (+(W_Variants_Valid_OId (Variants (J)))));
         pragma Assert
           (Variants_Id_Valid
            (+(W_Variants_Valid_OId (Variants (J)))));
         Append
           (New_Node.K45_Variants,
            +(W_Variants_Valid_OId (Variants (J))));
      end loop;
      Set_Link (New_Node.K45_Variants, New_Id);
      New_Node.K45_Code_After :=
        +(W_Prog_Valid_Id (Code_After));
      Set_Link (New_Node.K45_Code_After, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Loop;

   --------------
   -- New_Loop --
   --------------

   function New_Loop
     (Ada_Node    : Node_Id := Empty;
      Code_Before : W_Prog_Id;
      Invariants  : W_Pred_Array := (2 .. 1 => <>);
      Variants    : W_Variants_Array := (2 .. 1 => <>);
      Code_After  : W_Prog_Id)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Loop);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Loop);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K45_Code_Before :=
        +(W_Prog_Valid_Id (Code_Before));
      Set_Link (New_Node.K45_Code_Before, New_Id);
      New_Node.K45_Invariants := New_List;
      for J in Invariants'Range loop
         pragma Assert
           (Pred_Id_Kind_Valid
            (+(W_Pred_Valid_OId (Invariants (J)))));
         pragma Assert
           (Pred_Id_Valid
            (+(W_Pred_Valid_OId (Invariants (J)))));
         Append
           (New_Node.K45_Invariants,
            +(W_Pred_Valid_OId (Invariants (J))));
      end loop;
      Set_Link (New_Node.K45_Invariants, New_Id);
      New_Node.K45_Variants := New_List;
      for J in Variants'Range loop
         pragma Assert
           (Variants_Id_Kind_Valid
            (+(W_Variants_Valid_OId (Variants (J)))));
         pragma Assert
           (Variants_Id_Valid
            (+(W_Variants_Valid_OId (Variants (J)))));
         Append
           (New_Node.K45_Variants,
            +(W_Variants_Valid_OId (Variants (J))));
      end loop;
      Set_Link (New_Node.K45_Variants, New_Id);
      New_Node.K45_Code_After :=
        +(W_Prog_Valid_Id (Code_After));
      Set_Link (New_Node.K45_Code_After, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Loop;

   ----------------------------
   -- New_Statement_Sequence --
   ----------------------------

   function New_Statement_Sequence
     (Ada_Node   : Node_Id := Empty;
      Statements : W_Prog_Array)
     return W_Statement_Sequence_Id
   is
      New_Node : Why_Node (W_Statement_Sequence);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Statement_Sequence);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Statements'Length > 0);
      New_Node.K46_Statements := New_List;
      for J in Statements'Range loop
         pragma Assert
           (Prog_Id_Kind_Valid
            (+(W_Prog_Valid_Id (Statements (J)))));
         pragma Assert
           (Prog_Id_Valid
            (+(W_Prog_Valid_Id (Statements (J)))));
         Append
           (New_Node.K46_Statements,
            +(W_Prog_Valid_Id (Statements (J))));
      end loop;
      Set_Link (New_Node.K46_Statements, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Statement_Sequence_Id (New_Id);
   end New_Statement_Sequence;

   ----------------------------
   -- New_Statement_Sequence --
   ----------------------------

   function New_Statement_Sequence
     (Ada_Node   : Node_Id := Empty;
      Statements : W_Prog_Array)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Statement_Sequence);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Statement_Sequence);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Statements'Length > 0);
      New_Node.K46_Statements := New_List;
      for J in Statements'Range loop
         pragma Assert
           (Prog_Id_Kind_Valid
            (+(W_Prog_Valid_Id (Statements (J)))));
         pragma Assert
           (Prog_Id_Valid
            (+(W_Prog_Valid_Id (Statements (J)))));
         Append
           (New_Node.K46_Statements,
            +(W_Prog_Valid_Id (Statements (J))));
      end loop;
      Set_Link (New_Node.K46_Statements, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Statement_Sequence;

   ----------------------------
   -- New_Statement_Sequence --
   ----------------------------

   function New_Statement_Sequence
     (Ada_Node   : Node_Id := Empty;
      Statements : W_Prog_Array)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Statement_Sequence);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Statement_Sequence);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      pragma Assert (Statements'Length > 0);
      New_Node.K46_Statements := New_List;
      for J in Statements'Range loop
         pragma Assert
           (Prog_Id_Kind_Valid
            (+(W_Prog_Valid_Id (Statements (J)))));
         pragma Assert
           (Prog_Id_Valid
            (+(W_Prog_Valid_Id (Statements (J)))));
         Append
           (New_Node.K46_Statements,
            +(W_Prog_Valid_Id (Statements (J))));
      end loop;
      Set_Link (New_Node.K46_Statements, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Statement_Sequence;

   -----------------------
   -- New_Abstract_Expr --
   -----------------------

   function New_Abstract_Expr
     (Ada_Node : Node_Id := Empty;
      Expr     : W_Prog_Id;
      Post     : W_Pred_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Abstract_Expr_Id
   is
      New_Node : Why_Node (W_Abstract_Expr);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Abstract_Expr);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K47_Expr :=
        +(W_Prog_Valid_Id (Expr));
      Set_Link (New_Node.K47_Expr, New_Id);
      New_Node.K47_Post :=
        +(W_Pred_Valid_Id (Post));
      Set_Link (New_Node.K47_Post, New_Id);
      New_Node.K47_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K47_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Abstract_Expr_Id (New_Id);
   end New_Abstract_Expr;

   -----------------------
   -- New_Abstract_Expr --
   -----------------------

   function New_Abstract_Expr
     (Ada_Node : Node_Id := Empty;
      Expr     : W_Prog_Id;
      Post     : W_Pred_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Abstract_Expr);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Abstract_Expr);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K47_Expr :=
        +(W_Prog_Valid_Id (Expr));
      Set_Link (New_Node.K47_Expr, New_Id);
      New_Node.K47_Post :=
        +(W_Pred_Valid_Id (Post));
      Set_Link (New_Node.K47_Post, New_Id);
      New_Node.K47_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K47_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Abstract_Expr;

   -----------------------
   -- New_Abstract_Expr --
   -----------------------

   function New_Abstract_Expr
     (Ada_Node : Node_Id := Empty;
      Expr     : W_Prog_Id;
      Post     : W_Pred_Id;
      Typ      : W_Type_OId := Why_Empty)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Abstract_Expr);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Abstract_Expr);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K47_Expr :=
        +(W_Prog_Valid_Id (Expr));
      Set_Link (New_Node.K47_Expr, New_Id);
      New_Node.K47_Post :=
        +(W_Pred_Valid_Id (Post));
      Set_Link (New_Node.K47_Post, New_Id);
      New_Node.K47_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K47_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Abstract_Expr;

   ----------------
   -- New_Assert --
   ----------------

   function New_Assert
     (Ada_Node    : Node_Id := Empty;
      Pred        : W_Pred_Id;
      Assert_Kind : EW_Assert_Kind)
     return W_Assert_Id
   is
      New_Node : Why_Node (W_Assert);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Assert);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K48_Pred :=
        +(W_Pred_Valid_Id (Pred));
      Set_Link (New_Node.K48_Pred, New_Id);
      New_Node.K48_Assert_Kind :=
        Assert_Kind;
      Set_Node (New_Id, New_Node);
      return W_Assert_Id (New_Id);
   end New_Assert;

   ----------------
   -- New_Assert --
   ----------------

   function New_Assert
     (Ada_Node    : Node_Id := Empty;
      Pred        : W_Pred_Id;
      Assert_Kind : EW_Assert_Kind)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Assert);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Assert);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K48_Pred :=
        +(W_Pred_Valid_Id (Pred));
      Set_Link (New_Node.K48_Pred, New_Id);
      New_Node.K48_Assert_Kind :=
        Assert_Kind;
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Assert;

   ----------------
   -- New_Assert --
   ----------------

   function New_Assert
     (Ada_Node    : Node_Id := Empty;
      Pred        : W_Pred_Id;
      Assert_Kind : EW_Assert_Kind)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Assert);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Assert);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K48_Pred :=
        +(W_Pred_Valid_Id (Pred));
      Set_Link (New_Node.K48_Pred, New_Id);
      New_Node.K48_Assert_Kind :=
        Assert_Kind;
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Assert;

   ---------------
   -- New_Raise --
   ---------------

   function New_Raise
     (Ada_Node : Node_Id := Empty;
      Name     : W_Name_Id;
      Arg      : W_Expr_OId := Why_Empty;
      Typ      : W_Type_OId := Why_Empty)
     return W_Raise_Id
   is
      New_Node : Why_Node (W_Raise);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Raise);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K49_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K49_Name, New_Id);
      New_Node.K49_Arg :=
        +(W_Expr_Valid_OId (Arg));
      Set_Link (New_Node.K49_Arg, New_Id);
      New_Node.K49_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K49_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Raise_Id (New_Id);
   end New_Raise;

   ---------------
   -- New_Raise --
   ---------------

   function New_Raise
     (Ada_Node : Node_Id := Empty;
      Name     : W_Name_Id;
      Arg      : W_Expr_OId := Why_Empty;
      Typ      : W_Type_OId := Why_Empty)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Raise);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Raise);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K49_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K49_Name, New_Id);
      New_Node.K49_Arg :=
        +(W_Expr_Valid_OId (Arg));
      Set_Link (New_Node.K49_Arg, New_Id);
      New_Node.K49_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K49_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Raise;

   ---------------
   -- New_Raise --
   ---------------

   function New_Raise
     (Ada_Node : Node_Id := Empty;
      Name     : W_Name_Id;
      Arg      : W_Prog_OId := Why_Empty;
      Typ      : W_Type_OId := Why_Empty)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Raise);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Raise);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K49_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K49_Name, New_Id);
      New_Node.K49_Arg :=
        +(W_Expr_Valid_OId (Arg));
      Set_Link (New_Node.K49_Arg, New_Id);
      New_Node.K49_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K49_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Raise;

   -------------------
   -- New_Try_Block --
   -------------------

   function New_Try_Block
     (Ada_Node : Node_Id := Empty;
      Prog     : W_Prog_Id;
      Handler  : W_Handler_Array;
      Typ      : W_Type_OId := Why_Empty)
     return W_Try_Block_Id
   is
      New_Node : Why_Node (W_Try_Block);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Try_Block);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K50_Prog :=
        +(W_Prog_Valid_Id (Prog));
      Set_Link (New_Node.K50_Prog, New_Id);
      pragma Assert (Handler'Length > 0);
      New_Node.K50_Handler := New_List;
      for J in Handler'Range loop
         pragma Assert
           (Handler_Id_Kind_Valid
            (+(W_Handler_Valid_Id (Handler (J)))));
         pragma Assert
           (Handler_Id_Valid
            (+(W_Handler_Valid_Id (Handler (J)))));
         Append
           (New_Node.K50_Handler,
            +(W_Handler_Valid_Id (Handler (J))));
      end loop;
      Set_Link (New_Node.K50_Handler, New_Id);
      New_Node.K50_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K50_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Try_Block_Id (New_Id);
   end New_Try_Block;

   -------------------
   -- New_Try_Block --
   -------------------

   function New_Try_Block
     (Ada_Node : Node_Id := Empty;
      Prog     : W_Prog_Id;
      Handler  : W_Handler_Array;
      Typ      : W_Type_OId := Why_Empty)
     return W_Expr_Id
   is
      New_Node : Why_Node (W_Try_Block);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Try_Block);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K50_Prog :=
        +(W_Prog_Valid_Id (Prog));
      Set_Link (New_Node.K50_Prog, New_Id);
      pragma Assert (Handler'Length > 0);
      New_Node.K50_Handler := New_List;
      for J in Handler'Range loop
         pragma Assert
           (Handler_Id_Kind_Valid
            (+(W_Handler_Valid_Id (Handler (J)))));
         pragma Assert
           (Handler_Id_Valid
            (+(W_Handler_Valid_Id (Handler (J)))));
         Append
           (New_Node.K50_Handler,
            +(W_Handler_Valid_Id (Handler (J))));
      end loop;
      Set_Link (New_Node.K50_Handler, New_Id);
      New_Node.K50_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K50_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Expr_Id (New_Id);
   end New_Try_Block;

   -------------------
   -- New_Try_Block --
   -------------------

   function New_Try_Block
     (Ada_Node : Node_Id := Empty;
      Prog     : W_Prog_Id;
      Handler  : W_Handler_Array;
      Typ      : W_Type_OId := Why_Empty)
     return W_Prog_Id
   is
      New_Node : Why_Node (W_Try_Block);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Try_Block);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K50_Prog :=
        +(W_Prog_Valid_Id (Prog));
      Set_Link (New_Node.K50_Prog, New_Id);
      pragma Assert (Handler'Length > 0);
      New_Node.K50_Handler := New_List;
      for J in Handler'Range loop
         pragma Assert
           (Handler_Id_Kind_Valid
            (+(W_Handler_Valid_Id (Handler (J)))));
         pragma Assert
           (Handler_Id_Valid
            (+(W_Handler_Valid_Id (Handler (J)))));
         Append
           (New_Node.K50_Handler,
            +(W_Handler_Valid_Id (Handler (J))));
      end loop;
      Set_Link (New_Node.K50_Handler, New_Id);
      New_Node.K50_Typ :=
        +(W_Type_Valid_OId (Typ));
      Set_Link (New_Node.K50_Typ, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Prog_Id (New_Id);
   end New_Try_Block;

   -----------------------
   -- New_Function_Decl --
   -----------------------

   function New_Function_Decl
     (Ada_Node    : Node_Id := Empty;
      Domain      : EW_Domain;
      Name        : W_Identifier_Id;
      Binders     : W_Binder_Array := (2 .. 1 => <>);
      Effects     : W_Effects_OId := Why_Empty;
      Pre         : W_Pred_OId := Why_Empty;
      Post        : W_Pred_OId := Why_Empty;
      Return_Type : W_Type_OId := Why_Empty;
      Def         : W_Expr_OId := Why_Empty;
      Labels      : Symbol_Set;
      Location    : Source_Ptr)
     return W_Function_Decl_Id
   is
      New_Node : Why_Node (W_Function_Decl);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Function_Decl);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K51_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K51_Name, New_Id);
      New_Node.K51_Binders := New_List;
      for J in Binders'Range loop
         pragma Assert
           (Binder_Id_Kind_Valid
            (+(W_Binder_Valid_OId (Binders (J)))));
         pragma Assert
           (Binder_Id_Valid
            (+(W_Binder_Valid_OId (Binders (J)))));
         Append
           (New_Node.K51_Binders,
            +(W_Binder_Valid_OId (Binders (J))));
      end loop;
      Set_Link (New_Node.K51_Binders, New_Id);
      New_Node.K51_Effects :=
        +(W_Effects_Valid_OId (Effects));
      Set_Link (New_Node.K51_Effects, New_Id);
      New_Node.K51_Pre :=
        +(W_Pred_Valid_OId (Pre));
      Set_Link (New_Node.K51_Pre, New_Id);
      New_Node.K51_Post :=
        +(W_Pred_Valid_OId (Post));
      Set_Link (New_Node.K51_Post, New_Id);
      New_Node.K51_Return_Type :=
        +(W_Type_Valid_OId (Return_Type));
      Set_Link (New_Node.K51_Return_Type, New_Id);
      New_Node.K51_Def :=
        +(W_Expr_Valid_OId (Def));
      Set_Link (New_Node.K51_Def, New_Id);
      New_Node.K51_Labels :=
        Labels;
      New_Node.K51_Location :=
        Location;
      Set_Node (New_Id, New_Node);
      return W_Function_Decl_Id (New_Id);
   end New_Function_Decl;

   -----------------------
   -- New_Function_Decl --
   -----------------------

   function New_Function_Decl
     (Ada_Node    : Node_Id := Empty;
      Domain      : EW_Domain;
      Name        : W_Identifier_Id;
      Binders     : W_Binder_Array := (2 .. 1 => <>);
      Effects     : W_Effects_OId := Why_Empty;
      Pre         : W_Pred_OId := Why_Empty;
      Post        : W_Pred_OId := Why_Empty;
      Return_Type : W_Type_OId := Why_Empty;
      Def         : W_Expr_OId := Why_Empty;
      Labels      : Symbol_Set;
      Location    : Source_Ptr)
     return W_Declaration_Id
   is
      New_Node : Why_Node (W_Function_Decl);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Function_Decl);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain :=
        Domain;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K51_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K51_Name, New_Id);
      New_Node.K51_Binders := New_List;
      for J in Binders'Range loop
         pragma Assert
           (Binder_Id_Kind_Valid
            (+(W_Binder_Valid_OId (Binders (J)))));
         pragma Assert
           (Binder_Id_Valid
            (+(W_Binder_Valid_OId (Binders (J)))));
         Append
           (New_Node.K51_Binders,
            +(W_Binder_Valid_OId (Binders (J))));
      end loop;
      Set_Link (New_Node.K51_Binders, New_Id);
      New_Node.K51_Effects :=
        +(W_Effects_Valid_OId (Effects));
      Set_Link (New_Node.K51_Effects, New_Id);
      New_Node.K51_Pre :=
        +(W_Pred_Valid_OId (Pre));
      Set_Link (New_Node.K51_Pre, New_Id);
      New_Node.K51_Post :=
        +(W_Pred_Valid_OId (Post));
      Set_Link (New_Node.K51_Post, New_Id);
      New_Node.K51_Return_Type :=
        +(W_Type_Valid_OId (Return_Type));
      Set_Link (New_Node.K51_Return_Type, New_Id);
      New_Node.K51_Def :=
        +(W_Expr_Valid_OId (Def));
      Set_Link (New_Node.K51_Def, New_Id);
      New_Node.K51_Labels :=
        Labels;
      New_Node.K51_Location :=
        Location;
      Set_Node (New_Id, New_Node);
      return W_Declaration_Id (New_Id);
   end New_Function_Decl;

   ---------------
   -- New_Axiom --
   ---------------

   function New_Axiom
     (Ada_Node : Node_Id := Empty;
      Name     : Symbol;
      Def      : W_Pred_Id;
      Dep      : W_Axiom_Dep_OId := Why_Empty)
     return W_Axiom_Id
   is
      New_Node : Why_Node (W_Axiom);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Axiom);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K52_Name :=
        Name;
      New_Node.K52_Def :=
        +(W_Pred_Valid_Id (Def));
      Set_Link (New_Node.K52_Def, New_Id);
      New_Node.K52_Dep :=
        +(W_Axiom_Dep_Valid_OId (Dep));
      Set_Link (New_Node.K52_Dep, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Axiom_Id (New_Id);
   end New_Axiom;

   ---------------
   -- New_Axiom --
   ---------------

   function New_Axiom
     (Ada_Node : Node_Id := Empty;
      Name     : Symbol;
      Def      : W_Pred_Id;
      Dep      : W_Axiom_Dep_OId := Why_Empty)
     return W_Declaration_Id
   is
      New_Node : Why_Node (W_Axiom);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Axiom);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K52_Name :=
        Name;
      New_Node.K52_Def :=
        +(W_Pred_Valid_Id (Def));
      Set_Link (New_Node.K52_Def, New_Id);
      New_Node.K52_Dep :=
        +(W_Axiom_Dep_Valid_OId (Dep));
      Set_Link (New_Node.K52_Dep, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Declaration_Id (New_Id);
   end New_Axiom;

   --------------
   -- New_Goal --
   --------------

   function New_Goal
     (Ada_Node : Node_Id := Empty;
      Name     : Symbol;
      Def      : W_Pred_Id)
     return W_Goal_Id
   is
      New_Node : Why_Node (W_Goal);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Goal);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K53_Name :=
        Name;
      New_Node.K53_Def :=
        +(W_Pred_Valid_Id (Def));
      Set_Link (New_Node.K53_Def, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Goal_Id (New_Id);
   end New_Goal;

   --------------
   -- New_Goal --
   --------------

   function New_Goal
     (Ada_Node : Node_Id := Empty;
      Name     : Symbol;
      Def      : W_Pred_Id)
     return W_Declaration_Id
   is
      New_Node : Why_Node (W_Goal);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Goal);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K53_Name :=
        Name;
      New_Node.K53_Def :=
        +(W_Pred_Valid_Id (Def));
      Set_Link (New_Node.K53_Def, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Declaration_Id (New_Id);
   end New_Goal;

   -------------------
   -- New_Type_Decl --
   -------------------

   function New_Type_Decl
     (Ada_Node   : Node_Id := Empty;
      Args       : W_Identifier_Array := (2 .. 1 => <>);
      Name       : W_Name_Id;
      Labels     : Symbol_Set;
      Definition : W_Type_Definition_OId := Why_Empty)
     return W_Type_Decl_Id
   is
      New_Node : Why_Node (W_Type_Decl);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Type_Decl);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K54_Args := New_List;
      for J in Args'Range loop
         pragma Assert
           (Identifier_Id_Kind_Valid
            (+(W_Identifier_Valid_OId (Args (J)))));
         pragma Assert
           (Identifier_Id_Valid
            (+(W_Identifier_Valid_OId (Args (J)))));
         Append
           (New_Node.K54_Args,
            +(W_Identifier_Valid_OId (Args (J))));
      end loop;
      Set_Link (New_Node.K54_Args, New_Id);
      New_Node.K54_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K54_Name, New_Id);
      New_Node.K54_Labels :=
        Labels;
      New_Node.K54_Definition :=
        +(W_Type_Definition_Valid_OId (Definition));
      Set_Link (New_Node.K54_Definition, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Type_Decl_Id (New_Id);
   end New_Type_Decl;

   -------------------
   -- New_Type_Decl --
   -------------------

   function New_Type_Decl
     (Ada_Node   : Node_Id := Empty;
      Args       : W_Identifier_Array := (2 .. 1 => <>);
      Name       : W_Name_Id;
      Labels     : Symbol_Set;
      Definition : W_Type_Definition_OId := Why_Empty)
     return W_Declaration_Id
   is
      New_Node : Why_Node (W_Type_Decl);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Type_Decl);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K54_Args := New_List;
      for J in Args'Range loop
         pragma Assert
           (Identifier_Id_Kind_Valid
            (+(W_Identifier_Valid_OId (Args (J)))));
         pragma Assert
           (Identifier_Id_Valid
            (+(W_Identifier_Valid_OId (Args (J)))));
         Append
           (New_Node.K54_Args,
            +(W_Identifier_Valid_OId (Args (J))));
      end loop;
      Set_Link (New_Node.K54_Args, New_Id);
      New_Node.K54_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K54_Name, New_Id);
      New_Node.K54_Labels :=
        Labels;
      New_Node.K54_Definition :=
        +(W_Type_Definition_Valid_OId (Definition));
      Set_Link (New_Node.K54_Definition, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Declaration_Id (New_Id);
   end New_Type_Decl;

   --------------------------------
   -- New_Global_Ref_Declaration --
   --------------------------------

   function New_Global_Ref_Declaration
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Ref_Type : W_Type_Id;
      Labels   : Symbol_Set;
      Location : Source_Ptr)
     return W_Global_Ref_Declaration_Id
   is
      New_Node : Why_Node (W_Global_Ref_Declaration);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Global_Ref_Declaration);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K55_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K55_Name, New_Id);
      New_Node.K55_Ref_Type :=
        +(W_Type_Valid_Id (Ref_Type));
      Set_Link (New_Node.K55_Ref_Type, New_Id);
      New_Node.K55_Labels :=
        Labels;
      New_Node.K55_Location :=
        Location;
      Set_Node (New_Id, New_Node);
      return W_Global_Ref_Declaration_Id (New_Id);
   end New_Global_Ref_Declaration;

   --------------------------------
   -- New_Global_Ref_Declaration --
   --------------------------------

   function New_Global_Ref_Declaration
     (Ada_Node : Node_Id := Empty;
      Name     : W_Identifier_Id;
      Ref_Type : W_Type_Id;
      Labels   : Symbol_Set;
      Location : Source_Ptr)
     return W_Declaration_Id
   is
      New_Node : Why_Node (W_Global_Ref_Declaration);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Global_Ref_Declaration);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K55_Name :=
        +(W_Identifier_Valid_Id (Name));
      Set_Link (New_Node.K55_Name, New_Id);
      New_Node.K55_Ref_Type :=
        +(W_Type_Valid_Id (Ref_Type));
      Set_Link (New_Node.K55_Ref_Type, New_Id);
      New_Node.K55_Labels :=
        Labels;
      New_Node.K55_Location :=
        Location;
      Set_Node (New_Id, New_Node);
      return W_Declaration_Id (New_Id);
   end New_Global_Ref_Declaration;

   -------------------------------
   -- New_Namespace_Declaration --
   -------------------------------

   function New_Namespace_Declaration
     (Ada_Node     : Node_Id := Empty;
      Declarations : W_Declaration_Array := (2 .. 1 => <>);
      Name         : Symbol)
     return W_Namespace_Declaration_Id
   is
      New_Node : Why_Node (W_Namespace_Declaration);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Namespace_Declaration);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K56_Declarations := New_List;
      for J in Declarations'Range loop
         pragma Assert
           (Declaration_Id_Kind_Valid
            (+(W_Declaration_Valid_OId (Declarations (J)))));
         pragma Assert
           (Declaration_Id_Valid
            (+(W_Declaration_Valid_OId (Declarations (J)))));
         Append
           (New_Node.K56_Declarations,
            +(W_Declaration_Valid_OId (Declarations (J))));
      end loop;
      Set_Link (New_Node.K56_Declarations, New_Id);
      New_Node.K56_Name :=
        Name;
      Set_Node (New_Id, New_Node);
      return W_Namespace_Declaration_Id (New_Id);
   end New_Namespace_Declaration;

   -------------------------------
   -- New_Namespace_Declaration --
   -------------------------------

   function New_Namespace_Declaration
     (Ada_Node     : Node_Id := Empty;
      Declarations : W_Declaration_Array := (2 .. 1 => <>);
      Name         : Symbol)
     return W_Declaration_Id
   is
      New_Node : Why_Node (W_Namespace_Declaration);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Namespace_Declaration);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K56_Declarations := New_List;
      for J in Declarations'Range loop
         pragma Assert
           (Declaration_Id_Kind_Valid
            (+(W_Declaration_Valid_OId (Declarations (J)))));
         pragma Assert
           (Declaration_Id_Valid
            (+(W_Declaration_Valid_OId (Declarations (J)))));
         Append
           (New_Node.K56_Declarations,
            +(W_Declaration_Valid_OId (Declarations (J))));
      end loop;
      Set_Link (New_Node.K56_Declarations, New_Id);
      New_Node.K56_Name :=
        Name;
      Set_Node (New_Id, New_Node);
      return W_Declaration_Id (New_Id);
   end New_Namespace_Declaration;

   -------------------------------
   -- New_Exception_Declaration --
   -------------------------------

   function New_Exception_Declaration
     (Ada_Node : Node_Id := Empty;
      Name     : W_Name_Id;
      Arg      : W_Type_OId := Why_Empty)
     return W_Exception_Declaration_Id
   is
      New_Node : Why_Node (W_Exception_Declaration);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Exception_Declaration);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K57_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K57_Name, New_Id);
      New_Node.K57_Arg :=
        +(W_Type_Valid_OId (Arg));
      Set_Link (New_Node.K57_Arg, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Exception_Declaration_Id (New_Id);
   end New_Exception_Declaration;

   -------------------------------
   -- New_Exception_Declaration --
   -------------------------------

   function New_Exception_Declaration
     (Ada_Node : Node_Id := Empty;
      Name     : W_Name_Id;
      Arg      : W_Type_OId := Why_Empty)
     return W_Declaration_Id
   is
      New_Node : Why_Node (W_Exception_Declaration);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Exception_Declaration);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K57_Name :=
        +(W_Name_Valid_Id (Name));
      Set_Link (New_Node.K57_Name, New_Id);
      New_Node.K57_Arg :=
        +(W_Type_Valid_OId (Arg));
      Set_Link (New_Node.K57_Arg, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Declaration_Id (New_Id);
   end New_Exception_Declaration;

   --------------------------
   -- New_Meta_Declaration --
   --------------------------

   function New_Meta_Declaration
     (Ada_Node  : Node_Id := Empty;
      Name      : Symbol;
      Parameter : Symbol)
     return W_Meta_Declaration_Id
   is
      New_Node : Why_Node (W_Meta_Declaration);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Meta_Declaration);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K58_Name :=
        Name;
      New_Node.K58_Parameter :=
        Parameter;
      Set_Node (New_Id, New_Node);
      return W_Meta_Declaration_Id (New_Id);
   end New_Meta_Declaration;

   --------------------------
   -- New_Meta_Declaration --
   --------------------------

   function New_Meta_Declaration
     (Ada_Node  : Node_Id := Empty;
      Name      : Symbol;
      Parameter : Symbol)
     return W_Declaration_Id
   is
      New_Node : Why_Node (W_Meta_Declaration);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Meta_Declaration);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K58_Name :=
        Name;
      New_Node.K58_Parameter :=
        Parameter;
      Set_Node (New_Id, New_Node);
      return W_Declaration_Id (New_Id);
   end New_Meta_Declaration;

   ---------------------------
   -- New_Clone_Declaration --
   ---------------------------

   function New_Clone_Declaration
     (Ada_Node      : Node_Id := Empty;
      Origin        : W_Module_Id;
      As_Name       : Symbol;
      Clone_Kind    : EW_Clone_Type;
      Substitutions : W_Clone_Substitution_Array := (2 .. 1 => <>);
      Theory_Kind   : EW_Theory_Type)
     return W_Clone_Declaration_Id
   is
      New_Node : Why_Node (W_Clone_Declaration);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Clone_Declaration);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K59_Origin :=
        +(W_Module_Valid_Id (Origin));
      Set_Link (New_Node.K59_Origin, New_Id);
      New_Node.K59_As_Name :=
        As_Name;
      New_Node.K59_Clone_Kind :=
        Clone_Kind;
      New_Node.K59_Substitutions := New_List;
      for J in Substitutions'Range loop
         pragma Assert
           (Clone_Substitution_Id_Kind_Valid
            (+(W_Clone_Substitution_Valid_OId (Substitutions (J)))));
         pragma Assert
           (Clone_Substitution_Id_Valid
            (+(W_Clone_Substitution_Valid_OId (Substitutions (J)))));
         Append
           (New_Node.K59_Substitutions,
            +(W_Clone_Substitution_Valid_OId (Substitutions (J))));
      end loop;
      Set_Link (New_Node.K59_Substitutions, New_Id);
      New_Node.K59_Theory_Kind :=
        Theory_Kind;
      Set_Node (New_Id, New_Node);
      return W_Clone_Declaration_Id (New_Id);
   end New_Clone_Declaration;

   ---------------------------
   -- New_Clone_Declaration --
   ---------------------------

   function New_Clone_Declaration
     (Ada_Node      : Node_Id := Empty;
      Origin        : W_Module_Id;
      As_Name       : Symbol;
      Clone_Kind    : EW_Clone_Type;
      Substitutions : W_Clone_Substitution_Array := (2 .. 1 => <>);
      Theory_Kind   : EW_Theory_Type)
     return W_Declaration_Id
   is
      New_Node : Why_Node (W_Clone_Declaration);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Clone_Declaration);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K59_Origin :=
        +(W_Module_Valid_Id (Origin));
      Set_Link (New_Node.K59_Origin, New_Id);
      New_Node.K59_As_Name :=
        As_Name;
      New_Node.K59_Clone_Kind :=
        Clone_Kind;
      New_Node.K59_Substitutions := New_List;
      for J in Substitutions'Range loop
         pragma Assert
           (Clone_Substitution_Id_Kind_Valid
            (+(W_Clone_Substitution_Valid_OId (Substitutions (J)))));
         pragma Assert
           (Clone_Substitution_Id_Valid
            (+(W_Clone_Substitution_Valid_OId (Substitutions (J)))));
         Append
           (New_Node.K59_Substitutions,
            +(W_Clone_Substitution_Valid_OId (Substitutions (J))));
      end loop;
      Set_Link (New_Node.K59_Substitutions, New_Id);
      New_Node.K59_Theory_Kind :=
        Theory_Kind;
      Set_Node (New_Id, New_Node);
      return W_Declaration_Id (New_Id);
   end New_Clone_Declaration;

   ----------------------------
   -- New_Clone_Substitution --
   ----------------------------

   function New_Clone_Substitution
     (Ada_Node  : Node_Id := Empty;
      Kind      : EW_Subst_Type;
      Orig_Name : W_Name_Id;
      Image     : W_Name_Id)
     return W_Clone_Substitution_Id
   is
      New_Node : Why_Node (W_Clone_Substitution);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Clone_Substitution);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K60_Kind :=
        Kind;
      New_Node.K60_Orig_Name :=
        +(W_Name_Valid_Id (Orig_Name));
      Set_Link (New_Node.K60_Orig_Name, New_Id);
      New_Node.K60_Image :=
        +(W_Name_Valid_Id (Image));
      Set_Link (New_Node.K60_Image, New_Id);
      Set_Node (New_Id, New_Node);
      return W_Clone_Substitution_Id (New_Id);
   end New_Clone_Substitution;

   -----------------------------
   -- New_Include_Declaration --
   -----------------------------

   function New_Include_Declaration
     (Ada_Node : Node_Id := Empty;
      Module   : W_Module_Id;
      Kind     : EW_Theory_Type;
      Use_Kind : EW_Clone_Type)
     return W_Include_Declaration_Id
   is
      New_Node : Why_Node (W_Include_Declaration);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Include_Declaration);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K61_Module :=
        +(W_Module_Valid_Id (Module));
      Set_Link (New_Node.K61_Module, New_Id);
      New_Node.K61_Kind :=
        Kind;
      New_Node.K61_Use_Kind :=
        Use_Kind;
      Set_Node (New_Id, New_Node);
      return W_Include_Declaration_Id (New_Id);
   end New_Include_Declaration;

   ----------------------------
   -- New_Theory_Declaration --
   ----------------------------

   function New_Theory_Declaration
     (Ada_Node     : Node_Id := Empty;
      Declarations : W_Declaration_Array := (2 .. 1 => <>);
      Name         : Symbol;
      Kind         : EW_Theory_Type;
      Includes     : W_Include_Declaration_Array := (2 .. 1 => <>);
      Comment      : Symbol)
     return W_Theory_Declaration_Id
   is
      New_Node : Why_Node (W_Theory_Declaration);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Theory_Declaration);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Prog;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K62_Declarations := New_List;
      for J in Declarations'Range loop
         pragma Assert
           (Declaration_Id_Kind_Valid
            (+(W_Declaration_Valid_OId (Declarations (J)))));
         pragma Assert
           (Declaration_Id_Valid
            (+(W_Declaration_Valid_OId (Declarations (J)))));
         Append
           (New_Node.K62_Declarations,
            +(W_Declaration_Valid_OId (Declarations (J))));
      end loop;
      Set_Link (New_Node.K62_Declarations, New_Id);
      New_Node.K62_Name :=
        Name;
      New_Node.K62_Kind :=
        Kind;
      New_Node.K62_Includes := New_List;
      for J in Includes'Range loop
         pragma Assert
           (Include_Declaration_Id_Kind_Valid
            (+(W_Include_Declaration_Valid_OId (Includes (J)))));
         pragma Assert
           (Include_Declaration_Id_Valid
            (+(W_Include_Declaration_Valid_OId (Includes (J)))));
         Append
           (New_Node.K62_Includes,
            +(W_Include_Declaration_Valid_OId (Includes (J))));
      end loop;
      Set_Link (New_Node.K62_Includes, New_Id);
      New_Node.K62_Comment :=
        Comment;
      Set_Node (New_Id, New_Node);
      return W_Theory_Declaration_Id (New_Id);
   end New_Theory_Declaration;

   ----------------
   -- New_Module --
   ----------------

   function New_Module
     (Ada_Node : Node_Id := Empty;
      File     : Symbol;
      Name     : Symbol)
     return W_Module_Id
   is
      New_Node : Why_Node (W_Module);
      New_Id : constant Why_Node_Id :=
        New_Why_Node_Id (W_Module);
      Is_Checked : constant Boolean :=
        True;
   begin
      New_Node.Ada_Node :=
        Ada_Node;
      New_Node.Domain := EW_Term;
      New_Node.Link :=
        Why_Empty;
      New_Node.Checked :=
        Is_Checked;
      New_Node.K63_File :=
        File;
      New_Node.K63_Name :=
        Name;
      Set_Node (New_Id, New_Node);
      return W_Module_Id (New_Id);
   end New_Module;

end Why.Atree.Builders;